/*
 * Created on 16.12.2003
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package seco.semcocoon.generation;

import org.apache.avalon.excalibur.io.IOUtil;
import org.apache.avalon.framework.parameters.Parameters;
import org.apache.avalon.framework.service.ServiceException;
import org.apache.cocoon.ProcessingException;
import org.apache.cocoon.ResourceNotFoundException;
import org.apache.cocoon.caching.CacheableProcessingComponent;
import org.apache.cocoon.environment.ObjectModelHelper;
import org.apache.cocoon.environment.Request;
import org.apache.cocoon.environment.http.HttpEnvironment;
import org.apache.cocoon.generation.StreamGenerator;
import org.apache.cocoon.util.PostInputStream;
import org.apache.cocoon.environment.SourceResolver;
import org.apache.excalibur.source.SourceValidity;
import org.apache.excalibur.source.impl.validity.NOPValidity;
import org.apache.excalibur.xml.sax.SAXParser;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;

import javax.servlet.http.HttpServletRequest;

import java.io.IOException;
import java.io.Serializable;
import java.io.StringReader;
import java.util.Map;

/**
 * @author jiemakel
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class CacheableStreamGenerator
	extends StreamGenerator
	implements CacheableProcessingComponent {

	private String input=null;
	/* (non-Javadoc)
	 * @see org.apache.cocoon.caching.CacheableProcessingComponent#getKey()
	 */
	public Serializable getKey() {
		return input;
	}

	/* (non-Javadoc)
	 * @see org.apache.cocoon.caching.CacheableProcessingComponent#getValidity()
	 */
	public SourceValidity getValidity() {
		return NOPValidity.SHARED_INSTANCE;
	}

	public void setup(SourceResolver resolver, Map objectModel, String src, Parameters par) throws ProcessingException, SAXException, IOException {
		super.setup(resolver,objectModel,src,par);
		Request request = ObjectModelHelper.getRequest(this.objectModel);
		String contentType = null;
		int len = 0;
		try {
			contentType = request.getContentType();
			if (contentType == null) {
				contentType = parameters.getParameter("defaultContentType", null);
				if (getLogger().isDebugEnabled()) {
					getLogger().debug("no Content-Type header - using contentType parameter");
				}
			}
			if (contentType == null) {
				throw new IOException("both Content-Type header and defaultContentType parameter are not set");
			} else if (contentType.startsWith("application/x-www-form-urlencoded") ||
					contentType.startsWith("multipart/form-data")) {
				String parameter = parameters.getParameter(FORM_NAME, null);
				if (parameter == null) {
					throw new ProcessingException(
						"StreamGenerator expects a sitemap parameter called '" +
						FORM_NAME + "' for handling form data"
					);
				}
				input = request.getParameter(parameter);
			} else if (contentType.startsWith("text/plain") ||
					contentType.startsWith("text/xml") ||
					contentType.startsWith("application/xml")) {

				HttpServletRequest httpRequest = (HttpServletRequest) objectModel.get(HttpEnvironment.HTTP_REQUEST_OBJECT);
				if ( httpRequest == null ) {
					throw new ProcessingException("This feature is only available in an http environment.");
				}
				len = request.getContentLength();
				if (len > 0) {
						PostInputStream anStream = new PostInputStream(httpRequest.getInputStream(), len);
						input = IOUtil.toString(anStream);
				} else {
					throw new IOException("getContentLen() == 0");
				}
			} else {
				throw new IOException("Unexpected getContentType(): " + request.getContentType());
			}

		} catch (IOException e) {
			getLogger().error("StreamGenerator.generate()", e);
			throw new ResourceNotFoundException("StreamGenerator could not find resource", e);
		}
	}

	/**
	 * Generate XML data out of request InputStream.
	 */
	public void generate() 
	throws IOException, SAXException, ProcessingException {
		InputSource inputSource = new InputSource(new StringReader(input));
		SAXParser parser = null;
		Request request = ObjectModelHelper.getRequest(this.objectModel);
		String contentType = request.getContentType();
		String charset =  getCharacterEncoding(request, contentType) ;
		if( charset != null) {
			inputSource.setEncoding(charset);
		}
		try {
			parser = (SAXParser)this.manager.lookup(SAXParser.ROLE);
			parser.parse(inputSource, super.xmlConsumer);
		} catch (ServiceException se) {
			getLogger().error("Could not get parser", se);
			throw new ProcessingException("Exception in StreamGenerator.generate()", se);
		}
		this.manager.release( parser);
	}

}
