/*
 *  Created on 28.11.2003
 *
 */
package seco.semcocoon.transformation;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import java.util.Map;

import javax.xml.transform.OutputKeys;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerConfigurationException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.sax.SAXTransformerFactory;
import javax.xml.transform.sax.TransformerHandler;
import javax.xml.transform.stream.StreamResult;

import org.apache.avalon.framework.component.Component;
import org.apache.avalon.framework.parameters.Parameters;
import org.apache.avalon.framework.service.ServiceException;
import org.apache.cocoon.ProcessingException;
import org.apache.cocoon.environment.SourceResolver;
import org.apache.cocoon.transformation.ServiceableTransformer;
import org.apache.excalibur.xml.sax.SAXParser;
import org.xml.sax.ContentHandler;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.ext.LexicalHandler;

/**
 *@author     jiemakel
 *@created    16. joulukuuta 2003
 */
public abstract class AbstractSerializedXMLTransformer extends ServiceableTransformer {
    /**
     *  Description of the Field
     */
    protected ContentHandler originalContentHandler = null;
    /**
     *  Description of the Field
     */
    protected LexicalHandler originalLexicalHandler = null;

    /**
     *  Description of the Field
     */
    protected SAXTransformerFactory tfactory = (SAXTransformerFactory) TransformerFactory.newInstance();
    private ByteArrayOutputStream xmlWriter = null;


    /**
     *  Description of the Method
     *
     *@exception  SAXException  Description of the Exception
     */
    public void endDocument() throws SAXException {
        super.endDocument();
        setContentHandler(originalContentHandler);
        setLexicalHandler(originalLexicalHandler);
        try {
            generate(xmlWriter.toString("ISO8859-1"));
        } catch (UnsupportedEncodingException e) {
        }
    }


    /**
     *  Description of the Method
     *
     *@param  serializedXML     Description of the Parameter
     *@exception  SAXException  Description of the Exception
     */
    public abstract void generate(String serializedXML) throws SAXException;


    /**
     *  Description of the Method
     *
     *@param  serializedXML     Description of the Parameter
     *@exception  SAXException  Description of the Exception
     */
    public void parse(InputStream serializedXML) throws SAXException {
        SAXParser parser = null;
        try {
            parser = (SAXParser) manager.lookup(SAXParser.ROLE);
        } catch (ServiceException e) {
            System.out.println("ServiceException getting SAXParser: " + e.getMessage());
        }

        try {
            parser.parse(new InputSource(serializedXML), contentHandler);
        } catch (IOException e) {
            System.out.println("IOException parsing: " + e.getMessage());
        } catch (SAXException e) {
            System.out.println("SAXException parsing: " + e.getMessage());
        }
        manager.release((Component) parser);
    }


    /**
     *  Description of the Method
     */
    public void recycle() {
        super.recycle();
        this.originalContentHandler = null;
        this.originalLexicalHandler = null;
        this.xmlWriter = null;
    }


    /**
     *  Description of the Method
     *
     *@param  resolver                 Description of the Parameter
     *@param  objectModel              Description of the Parameter
     *@param  src                      Description of the Parameter
     *@param  parameters               Description of the Parameter
     *@exception  ProcessingException  Description of the Exception
     *@exception  SAXException         Description of the Exception
     *@exception  IOException          Description of the Exception
     */
    public void setup(SourceResolver resolver, Map objectModel, String src, Parameters parameters) throws ProcessingException, SAXException, IOException {
        super.setup(resolver, objectModel, src, parameters);
    }


    /**
     *  Description of the Method
     *
     *@exception  SAXException  Description of the Exception
     */
    public void startDocument() throws SAXException {
        xmlWriter = new ByteArrayOutputStream();
        try {
            TransformerHandler handler = tfactory.newTransformerHandler();
            Transformer transformer = handler.getTransformer();
            transformer.setOutputProperty(OutputKeys.METHOD, "xml");
            transformer.setOutputProperty(OutputKeys.ENCODING, "ISO-8859-1");
            originalLexicalHandler = this.lexicalHandler;
            originalContentHandler = this.contentHandler;
            setContentHandler(handler);
            setLexicalHandler(null);
            handler.setResult(new StreamResult(xmlWriter));
        } catch (TransformerConfigurationException e) {
            throw new SAXException(e);
        }
        super.startDocument();
    }

}

