<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY % fmsentities PUBLIC
   "Museosuomi//ENTITIES Namespaces//EN//XML"
   "fmsentities.pen">
   %fmsentities;
]>
<!--

    File CVS Id: $Id: mobileMain.xslt,v 1.19 2004/03/22 08:44:19 jiemakel Exp $   
    This file is created by the Semantic Computing Research Group as a
    part of the Semantic Web project in 2002-2004 at Helsinki Institute
    for Information Technology (HIIT) and University of Helsinki.

    Group homepage: http://www.cs.helsinki.fi/group/seco/

-->

<xsl:stylesheet version="1.0" xmlns:page="&page;" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:html="&html;" xmlns:java="&java;" xmlns:ogt="&ogt;" xmlns:owl="&owl;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:swhg="&swhg;" xmlns:ui="&ui;" xmlns:uim="&uim;" xmlns:xsd="&xsd;" xmlns:xsl="&xsl;" xmlns:i18n="&i18n;" xmlns:query="&query;">
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="iso-8859-1" indent="yes" media-type="text/xml" method="xml" omit-xml-declaration="no" standalone="yes" version="1.0"/>

	<xsl:include href="xhtmlHelper.xslt" />
    
    <!-- Root match -->
    <xsl:template match="rdf:RDF">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>
                    <i18n:text>MuseoSuomi</i18n:text>
                </title>
                <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type"/>
                <meta content="text/css" http-equiv="Content-Style-Type"/>
                <meta content="Semantic Web" name="description" i18n:attr="content"/>
                <meta content="Semantic web, fmsweb" name="keywords" i18n:attr="content"/>
<!--                <link href="/content/stylesheets/mobile.css" rel="stylesheet" title="FMS-stylesheet basic" type="text/css"/> -->
                <style>
                    body {
                        font-size:medium;
                    }
                    h3,h4 {
                        font-size:large;
                        font-weight:bold;
                    }
.actions
{
    margin-top: 8pt;
    margin-bottom: 5pt;
    text-align:center;
    width:100%;
}
                    
.pagination, .groupBy, .showAll, .remove, .showTree, .action, .more
{
    color: black;
    font-weight: bold;
    font-size: medium;
    text-decoration: none;
    margin: 0pt;
}

.pagination :link, .groupBy :link, .showAll :link, .remove :link, .showTree :link, .action :link, .more :link,
.pagination :visited, .groupBy :visited, .showAll :visited, .remove :visited, .showTree :visited, .action :visited, .more :visited
{
    font-weight: bold;
    font-size: medium;
    color: #048;
    text-decoration: none;
}

.pagination :hover, .groupBy :hover, .showAll :hover, .remove :hover, .showTree :hover, .action :hover
{
    color: #06c;
    text-decoration: underline;
}
.filtered
{
    color: gray;
    font-size:medium;
}
.header 
{
    width: 100%;
    clear: both;
}
.constraintContainer, .constraintContainerProjectionOf, .constraintContainerKeyword, .constraintContainerC0, .constraintContainerC1, .constraintContainerC2, .constraintContainerC3, .constraintContainerC4, .constraintContainerC5, .constraintContainerC6, .constraintContainerC7, .constraintContainerC8
{
    border-width: thin;
    border-color: black;
    border-style: solid;
}
.header, .constraintContainer, .itemfacetheader {
	background-color: #abb;
}

.headerKeyword, .constraintContainerKeyword
{
    background-color: #ccaa55;
}

.headerProjectionOf, .constraintContainerProjectionOf
{
    background-color: #aaccaa;
}

.headerC0, .headerC1, .constraintContainerC0, .constraintContainerC1, .itemfacetheaderC0, .itemfacetheaderC1
{
    background-color: #bbaa88;
}

.headerC2, .headerC3, .headerC4, .constraintContainerC2, .constraintContainerC3, .constraintContainerC4, .itemfacetheaderC2, .itemfacetheaderC3, .itemfacetheaderC4
{
    background-color: #bba;
}

.headerC5, .headerC6, .headerC7, .constraintContainerC5, .constraintContainerC6, .constraintContainerC7, .itemfacetheaderC5, .itemfacetheaderC6, .itemfacetheaderC7
{
    background-color: #bbaabb;
}

.headerC8, .constraintContainerC8, .itemfacetheaderC8
{
    background-color: #aabb99;
}

                   
                </style>
            </head>
            <body>
                
            <xsl:call-template name="mobileSearchHeader"/>
            <xsl:apply-templates select="/rdf:RDF/ui:UState/ui:error"/>
            <xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks='true'">
                 <a name="tulokset" />
                 <xsl:call-template name="navi">
                    <xsl:with-param name="inactive" select="'tulokset'"/>
                 </xsl:call-template>
                 <xsl:call-template name="constraints"/>
                 <xsl:call-template name="helpOrResults"/>
                 <a name="haku" />
                 <xsl:call-template name="navi">
                    <xsl:with-param name="inactive" select="'haku'"/>
                 </xsl:call-template>
                <span class="action"><a href="&mobilemail;{$ustate}{$groupBy}&amp;last=">Lähetä nykyinen haku sähköpostilla</a></span>
                <hr/>
            </xsl:if>
                    <xsl:call-template name="keywordForm"/>
            <hr/>
                <span class="action"><a href="&home;x=54.2&amp;y=25.0">Hae olinpaikkaasi liittyvät kohteet</a></span>
                <hr/>
            <span class="action"><a href="&home;l=fi&amp;m=0">uusi haku</a></span>
            <xsl:text> | </xsl:text>
            <span class="action"><a href="http://www.cs.helsinki.fi/group/seco/museosuomi/kaytto-ohje.html">ohjeet</a></span>
            <xsl:text> | </xsl:text>
            <span class="action"><a href="http://www.cs.helsinki.fi/group/seco/museosuomi/">tietoa ohjelmasta</a></span>
            <hr/>
            		<xsl:apply-templates select="/rdf:RDF/ui:UState/swhg:NearestLocation/swhg:nearest"/>
                    <xsl:call-template name="projectedFromCategories"/>
                    <xsl:call-template name="keywordCategories"/>
                    <xsl:call-template name="categorySearch"/>
<!--                    <xsl:call-template name="constraints"/> -->
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="ui:error">
    	<div class="error"><b>Virhe:</b> <xsl:apply-templates/></div>
    </xsl:template>
    
    <xsl:template name="navi">
        <xsl:param name="inactive" />
        <div class="actions">
            <hr />
            <xsl:text>[ </xsl:text>
            <xsl:choose>
                <xsl:when test="contains($inactive,'tulokset') or /rdf:RDF/ui:UState/ui:showBookmarks!='true'">
                    <span class="filtered">tulokset</span>
                </xsl:when>
                <xsl:otherwise>
                    <span class="action"><a href="#tulokset">tulokset</a></span>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:text> | </xsl:text>
            <xsl:choose>
                <xsl:when test="contains($inactive,'haku')">
                    <span class="filtered">haku</span>
                </xsl:when>
                <xsl:otherwise>
                    <span class="action"><a href="#haku">haku</a></span>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:text> ] </xsl:text>
            <hr />
        </div>
    </xsl:template>

    <xsl:template name="helpOrResults">
        <div id="helpOrResults" valign="top">
			<xsl:choose>
				<xsl:when test="ui:UState/ui:showBookmarks[text() = 'true']">
					<xsl:apply-templates select="ogt:Facet" mode="results"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:call-template name="help"/>
				</xsl:otherwise>
			</xsl:choose>
        </div>
    </xsl:template>
	    
    <xsl:template name="bookmarks">
		<xsl:param name="category" select="."/>
		<div class="bookmarks">
            <table class="bookmarktable">
                <xsl:for-each select="ogt:topicOf/bm:Bookmark">
                    <xsl:if test="(position()-1) mod 2= 0">
                    <xsl:variable name="curpos" select="position()"/>
                        <tr>
                            <td valign="center" align="center" class="bookmarkcell">
                                <xsl:apply-templates mode="image" select="../bm:Bookmark[position()=$curpos]"/>
                            </td>
                            <td valign="center" align="center" class="bookmarkcell">
                                <xsl:apply-templates mode="image" select="../bm:Bookmark[position()=$curpos+1]"/>
                            </td>
                        </tr>
                         <tr>
                            <td valign="top" align="center" class="bookmarkcell">
                                <xsl:apply-templates mode="label" select="../bm:Bookmark[position()=$curpos]"/>
                            </td>
                            <td valign="top" align="center" class="bookmarkcell">
                                <xsl:apply-templates mode="label" select="../bm:Bookmark[position()=$curpos+1]"/>
                            </td>
                         </tr>
                     </xsl:if>
                </xsl:for-each>
            </table>
            
		</div>
    </xsl:template>

    <!-- To prevent leak into results in case none of the above matches -->
    <xsl:template match="ogt:Facet" mode="results"/>

    <!-- Category search block -->
    <xsl:template name="categorySearch">
        <div id="categorySearch">
            <xsl:for-each select="ogt:Facet[ogt:facetSelector/@rdf:resource='&query;roots']/ogt:subCategories/ogt:Category">
                <xsl:variable name="rootcatid" select="fms:rootcatid"/>
                <xsl:choose>
                    <xsl:when test="/rdf:RDF/ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;c')]/ogt:subCategories/ogt:Category[fms:rootcatid = $rootcatid or ogt:hasRoot/ogt:Category/fms:rootcatid = $rootcatid]">
                        <xsl:apply-templates mode="root" select="/rdf:RDF/ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;c')]/ogt:subCategories/ogt:Category[fms:rootcatid = $rootcatid or ogt:hasRoot/ogt:Category/fms:rootcatid = $rootcatid]"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <div class="facet">
							<div class="headerC{$rootcatid}">
                                <span class="root">
                                <a name="Fc{$rootcatid}">
                                    <xsl:value-of select="@rdfs:label"/>
                                </a>
                                </span>
                            </div>
                            <div class="categories">
                                <span class="filtered">Ei valittavia kategorioita</span>
                            </div>
                        </div>
                    </xsl:otherwise>
                </xsl:choose>
            </xsl:for-each>
        </div>
    </xsl:template>

    <!-- Keyword search form block -->
    <xsl:template name="keywordForm">
        <div id="keywordForm">
            <form action="&home;" method="get" name="keywordSearch">
                <xsl:call-template name="fprefs"/>
                <xsl:call-template name="fcstate"/>
                <xsl:call-template name="fpstate"/>
                <xsl:call-template name="flstate"/>
                <input type="hidden" name="l" value="{/rdf:RDF/ui:UState/ui:language}"/>
                <input name="nk" size="15" type="text" value=""/>
                <input name="k" type="hidden" value="{$keywords}"/>                
        		<input type="submit" value="Hae" i18n:attr="value" />
        		<xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks='true'">
        		    <input type="checkbox" name="refine" value="true" /> <span class="nowrap">tarkenna hakua</span>
        		</xsl:if>
                <xsl:for-each select="/rdf:RDF/ui:UState/ui:category[@ui:selected = 'true']">
                    <input type="hidden" name="c" value="{@ui:catid}"/>
                </xsl:for-each>
            </form>
        </div>
    </xsl:template>

	<xsl:template match="swhg:NearestLocation/swhg:nearest">
		<div id="locations">
                <div class="facet">
                    <xsl:variable name="keyword" select="ogt:facetSelector/@rdfs:label"/>
                    <div class="headerKeyword">
                    	Koordinaatteja x=<xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:x"/>,y=<xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:y"/> lähellä sijaitsevat paikat
                   	</div>
	                <div class="categories">
                                <form method="get" action="&home;">
                                        <xsl:call-template name="fustate"/>
                                        <input type="hidden" name="rp" value="{/rdf:RDF/ui:UState/ui:projectedFrom/@rdf:resource}"/>
                                        <table><tr><td align="left">
                                <select name="p">
					                	<xsl:apply-templates select="swhg:location"/>
                                </select></td><td align="left"><input type="submit" name="send" value="Valitse" /></td></tr></table>
                                        
                                </form>
	                </div>
           	</div>
		</div>
	</xsl:template>
	
	<xsl:template match="swhg:location">
			<option value="{@rdf:resource}"><xsl:value-of select="@rdfs:label"/>
			 	<xsl:text> (</xsl:text><xsl:value-of select="@swhg:distance"/><xsl:text>)</xsl:text>
			</option>
	</xsl:template>
	
    <!-- Keyword matching categories -->
    <xsl:template name="keywordCategories">
        <div id="keywordCategories">
            <!-- Keyword matching categories -->
            <xsl:for-each select="ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;k')]">
                <div class="facet">
                    <xsl:variable name="keyword" select="ogt:facetSelector/@rdfs:label"/>
                    <div class="headerKeyword">
                        <span class="root">Hakusana: </span> 
                        <span class="keyword">
                            <a name="Fk{$keyword}">
								<xsl:value-of select="$keyword"/>
							</a>
						</span>
						<xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks = 'true' and (not(/rdf:RDF/ui:UState/ui:groupBy/@ui:keyword) or /rdf:RDF/ui:UState/ui:groupBy/@ui:keyword != $keyword)">
							<xsl:call-template name="groupBy">
								<xsl:with-param name="mode">k</xsl:with-param>
								<xsl:with-param name="id" select="$keyword"/>
							</xsl:call-template>
						</xsl:if>
                        <xsl:call-template name="remove">
                            <xsl:with-param name="action" select="concat('&home;', $prefs, $cstate, $lstate, $pstate, $kstate, '&amp;rk=', $keyword)"/>
                        </xsl:call-template>
                    </div>
                    <xsl:choose>
                        <xsl:when test="ogt:subCategories/ogt:Category">
                            <div class="categories">
                                <form method="get" action="&home;">
                                        <xsl:call-template name="fustate"/>
                                        <input type="hidden" name="rk" value="{$keyword}"/>
                                        <table><tr><td align="left">
                                <select name="n">
                                            <xsl:apply-templates mode="keyword" select="ogt:subCategories/ogt:Category">
                                                <xsl:with-param name="keyword"><xsl:value-of select="$keyword"/></xsl:with-param>
                                            </xsl:apply-templates>
                                </select></td><td align="left"><input type="submit" name="send" value="Valitse" /></td></tr></table>
                                        
                                </form>
                                <xsl:if test="count(ogt:subCategories/ogt:Category) &lt; number(ogt:subCategoryHits)">
                                    <div class="more">
                                        (<a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;e=k{$keyword}#Fk{$keyword}">näytä kaikki <xsl:value-of select="ogt:subCategoryHits"/></a>)
                                    </div>
                                </xsl:if>
                            </div>
                        </xsl:when>
                        <xsl:otherwise>
                            <div class="categories">
                                <span class="filtered">Ei valittavia kategorioita</span>
                            </div>
                        </xsl:otherwise>
                    </xsl:choose>
                </div>
            </xsl:for-each>
        </div>
    </xsl:template>

    <xsl:template name="projectedFromCategories">
        <div id="projectedFromCategories">
            <!-- projectedFrom matching categories -->
            <xsl:for-each select="ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;p')]">
                <div class="facet">
                    <xsl:variable name="keyword" select="ogt:facetSelector/@rdfs:label"/>
                    <div class="headerProjectionOf">
                        <span class="root">Liittyy 
                            <xsl:choose>
                                <xsl:when test="starts-with($keyword,'http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-paikat')">
                                  paikkaan: 
                                </xsl:when>
                                <xsl:otherwise>
                                    ontologialuokkaan:
                                </xsl:otherwise>
                            </xsl:choose>
                        </span> 
                        <span class="keyword">
                            <a name="Fk{$keyword}">
                                <xsl:apply-templates mode="projectedFromPath" select="ogt:subCategories/ogt:Category[1]/ogt:hasRoot/ogt:Category/ogt:subCategories"/>
								<xsl:value-of select="ogt:subCategories/ogt:Category/@rdfs:label"/>
							</a>
						</span>
						<xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks = 'true' and (not(/rdf:RDF/ui:UState/ui:groupBy/@ui:keyword) or /rdf:RDF/ui:UState/ui:groupBy/@ui:keyword != $keyword)">
							<xsl:call-template name="groupBy">
								<xsl:with-param name="mode">p</xsl:with-param>
								<xsl:with-param name="id" select="$keyword"/>
							</xsl:call-template>
						</xsl:if>
                        <xsl:call-template name="remove">
                            <xsl:with-param name="action" select="concat('&home;', $prefs, $cstate, $lstate, $pstate, $kstate, '&amp;rp=', java:net.URLEncoder.encode($keyword))"/>
                        </xsl:call-template>
                    </div>
                    <xsl:choose>
                        <xsl:when test="ogt:subCategories/ogt:Category">
                            <div class="categories">
                                <form method="get" action="&home;">
                                        <xsl:call-template name="fustate"/>
                                        <input type="hidden" name="rp" value="{$keyword}"/>
                                        <table><tr><td align="left">
                                <select name="n">
                                            <xsl:apply-templates mode="keyword" select="ogt:subCategories/ogt:Category">
                                                <xsl:with-param name="keyword"><xsl:value-of select="$keyword"/></xsl:with-param>
                                            </xsl:apply-templates>
                                </select></td><td align="left"><input type="submit" name="send" value="Valitse" /></td></tr></table>
                                        
                                </form>
                                <xsl:if test="count(ogt:subCategories/ogt:Category) &lt; number(ogt:subCategoryHits)">
                                    <div class="more">
                                        (<a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;e=k{$keyword}#Fk{$keyword}">näytä kaikki <xsl:value-of select="ogt:subCategoryHits"/></a>)
                                    </div>
                                </xsl:if>
                            </div>
                        </xsl:when>
                        <xsl:otherwise>
                            <div class="categories">
                                <span class="filtered">Ei valittavia kategorioita</span>
                            </div>
                        </xsl:otherwise>
                    </xsl:choose>
                </div>
            </xsl:for-each>
        </div>
    </xsl:template>
  
	<xsl:template match="ogt:Category" name="categoryLabelWithRoot">
		<xsl:param name="category" select="."/>
		<xsl:if test="$category/ogt:hasRoot">
			<xsl:call-template name="getLabel">
				<xsl:with-param name="node" select="$category/ogt:hasRoot"/>
			</xsl:call-template>
			&gt;
		</xsl:if>
		<xsl:call-template name="getLabel"/>
	</xsl:template>
	

    <!-- Root categories -->

    <xsl:template match="ogt:Category" mode="root">
        <xsl:if test="ogt:hasRoot or ogt:subCategories">
            <div class="facet">
                <xsl:variable name="catid" select="@ogt:catid"/>
				<div class="headerC{descendant-or-self::fms:rootcatid}">
                    <xsl:apply-templates mode="facetPath" select="ogt:hasRoot"/>
                    <xsl:choose>
                        <xsl:when test="not(ogt:hasRoot)">
                            <span class="root">
                            <a name="Fc{fms:rootcatid}">
                                <xsl:value-of select="@rdfs:label"/>
                            </a>
                            </span>
                        </xsl:when>
                        <xsl:otherwise>
                            <span class="selected">
                            <a name="Fc{fms:rootcatid}">
                                <xsl:value-of select="@rdfs:label"/>
                            </a>
                            </span>
                        </xsl:otherwise>
                    </xsl:choose>
					<xsl:text> </xsl:text>
                    <span class="showTree">
                        (<a href="mobiletree?{$ustate}&amp;t={java:net.URLEncoder.encode(@ogt:catid)}{$groupBy}{$pstate}">
							<i18n:text>koko luokittelu</i18n:text>
						</a>)
                    </span>
                    <!--<xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks = 'true' and (not(/rdf:RDF/ui:UState/ui:groupBy/@ui:catid) or not(starts-with(/rdf:RDF/ui:UState/ui:groupBy/@ui:catid, @ogt:catid)))">-->
                    <xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks = 'true' and (not(/rdf:RDF/ui:UState/ui:groupBy/@ui:catid) or /rdf:RDF/ui:UState/ui:groupBy/@ui:catid != @ogt:catid)">
                        <xsl:call-template name="groupBy">
                            <xsl:with-param name="mode">c</xsl:with-param>
                            <xsl:with-param name="id" select="$catid"/>
                        </xsl:call-template>
                    </xsl:if>
                </div>
                <xsl:choose>
                    <xsl:when test="ogt:subCategories/ogt:Category">
                            <form method="get" action="&home;">
                                <xsl:call-template name="fustate"/>
                                <table><tr><td align="left">
                                <select name="n">
                                    <xsl:apply-templates mode="subCategory" select="ogt:subCategories/ogt:Category"/>
                                </select></td><td align="left"><input type="submit" name="send" value="Valitse" /></td></tr></table>
                            </form>
                            <xsl:if test="count(ogt:subCategories/ogt:Category) &lt; number(ogt:subCategoryHits)">
                                <div class="more">
                                    (<a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;e=c{java:net.URLEncoder.encode($catid)}#Fc{fms:rootcatid}">näytä kaikki <xsl:value-of select="ogt:subCategoryHits"/></a>)
                                </div>
                            </xsl:if>
                    </xsl:when>
                    <xsl:otherwise>
                        <div class="categories">
                            <span class="filtered">Ei valittavia kategorioita</span>
                        </div>
                    </xsl:otherwise>
                </xsl:choose>
            </div>
        </xsl:if>
    </xsl:template>

    <!-- Sub categories -->
    <xsl:template match="ogt:Category" mode="subCategory">
        <xsl:choose>
            <xsl:when test="ogt:bookmarkHits > 0">
                <option value="{@ogt:catid}">
                   <xsl:call-template name="getLabel">
                     <xsl:with-param name="node" select="."/>
                   </xsl:call-template>
					<xsl:text> (</xsl:text><xsl:value-of select="ogt:bookmarkHits"/><xsl:text>)</xsl:text>
                </option>
            </xsl:when>
            <xsl:otherwise>
                <option value="">
                   <xsl:call-template name="getLabel">
                     <xsl:with-param name="node" select="."/>
                   </xsl:call-template>
    			    <xsl:text> (</xsl:text><xsl:value-of select="ogt:bookmarkHits"/><xsl:text>)</xsl:text>
                </option>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <!-- Keyword match categories -->
    <xsl:template match="ogt:Category" mode="keyword">
        <xsl:param name="keyword"/>
        <xsl:choose>
            <xsl:when test="ogt:bookmarkHits > 0 and ogt:hasRoot">
                <option value="{@ogt:catid}">
                   <xsl:apply-templates mode="keywordPath" select="ogt:hasRoot"/>
                   <xsl:if test="ogt:hasRoot/ogt:Category/ogt:subCategories">
                   ... &gt;
                   </xsl:if>
                   <xsl:call-template name="getLabel">
                     <xsl:with-param name="node" select="."/>
                   </xsl:call-template>
    			    <xsl:text> (</xsl:text><xsl:value-of select="ogt:bookmarkHits"/><xsl:text>)</xsl:text>
                </option>
            </xsl:when>
<!--            <xsl:otherwise>
                <option value="">
                   <xsl:apply-templates mode="keywordPath" select="ogt:hasRoot"/>
                   <xsl:call-template name="getLabel">
                     <xsl:with-param name="node" select="."/>
                   </xsl:call-template>
    			    <xsl:text> (</xsl:text><xsl:value-of select="ogt:bookmarkHits"/><xsl:text>)</xsl:text>
                </option>
            </xsl:otherwise> -->
        </xsl:choose>
    </xsl:template>

    <!-- Grouped bookmarks -->
    <xsl:template name="bookmarkGroups">
        <xsl:param name="modifiers"/>
        <xsl:param name="incRoot"/>
        <xsl:param name="headerdef"/>
		<!-- Direct bookmarks -->
        <xsl:variable name="showdirectNoRoot" select="not(/rdf:RDF/ui:UState/ui:skipCategories)"/>
		<xsl:if test="$incRoot or $showdirectNoRoot">
    		<xsl:apply-templates mode="bookmarkGroup" select="ogt:subCategories/ogt:Category">
                <xsl:with-param name="modifiers" select="$modifiers"/>
                <xsl:with-param name="incRoot" select="$incRoot"/>
                <xsl:with-param name="headerdef" select="$headerdef"/>
            </xsl:apply-templates>
        </xsl:if>
        <!-- Bookmarks of direct sub categories -->
		<xsl:apply-templates mode="bookmarkGroup" select="ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category">
            <xsl:with-param name="modifiers" select="$modifiers"/>
            <xsl:with-param name="incRoot" select="$incRoot"/>
            <xsl:with-param name="headerdef" select="$headerdef"/>
        </xsl:apply-templates>
        <!-- Bookmarks not found in category hierarchy used for grouping -->
        <xsl:if test="ogt:topicOf/bm:Bookmark and ((not($incRoot) and count(ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) &lt; /rdf:RDF/ui:UState/ui:maxGroups) or ($incRoot and count(ogt:subCategories/ogt:Category) &lt; /rdf:RDF/ui:UState/ui:maxGroups))">
			<xsl:variable name="bmcount" select="count(ogt:topicOf/bm:Bookmark)"/>
            <div class="bookmarkGroup">
                <div class="header">
                    <span class="selected">Muita kohteita</span>
                    <xsl:text> </xsl:text>
						<xsl:choose>
						    <xsl:when test="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit">
						        <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit + 1"/>
						        <xsl:text>-</xsl:text>
						        <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit + $bmcount"/>
					        </xsl:when>
					        <xsl:otherwise>
					            1-<xsl:value-of select="$bmcount"/>
    			            </xsl:otherwise>
					    </xsl:choose>
						<xsl:text>/</xsl:text><xsl:value-of select="ogt:bookmarkHits - sum(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;bookmarksByCategory']/ogt:subCategories/ogt:Category/ogt:bookmarkHits)"/>
                    <span class="showAll">
                        (<a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;g=">näytä ilman ryhmittelyä</a>)
                    </span>
                </div>
                <xsl:call-template name="bookmarks"/>
                <xsl:call-template name="pagination">
                    <xsl:with-param name="category" select="."/>
                    <xsl:with-param name="current" select="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit"/>
                    <xsl:with-param name="maxBookmarks" select="ogt:remainder"/>
                </xsl:call-template>
            </div>
        </xsl:if>
        <xsl:if test="(not($incRoot) and count(ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) &lt; /rdf:RDF/ui:UState/ui:maxGroups) or ($incRoot and count(ogt:subCategories/ogt:Category) &lt; /rdf:RDF/ui:UState/ui:maxGroups)">
            <xsl:apply-templates select="/rdf:RDF/ui:UState/swhg:NearestMuinainen"/>
        </xsl:if>
        <xsl:call-template name="categoryPagination">
            <xsl:with-param name="isRoot" select="$incRoot"/>
        </xsl:call-template>
    </xsl:template>

    <xsl:template match="swhg:NearestMuinainen">
            <div class="bookmarkGroup">
                <div class="header">
                    <span class="selected">Lähellä sijaitsevia muinaismuistoja</span>
                </div>
           		<div class="bookmarks">
		            <table class="bookmarktable">
		                <xsl:for-each select="swhg:nearest/swhg:location[position() &lt; /rdf:RDF/ui:UState/ui:maxBookmarks]">
		                    <xsl:if test="(position()-1) mod 4 = 0">
		                    <xsl:variable name="curpos" select="position()"/>
		                        <tr>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="image" select="../swhg:location[position()=$curpos]"/>
		                            </td>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="image" select="../swhg:location[position()=$curpos+1]"/>
		                            </td>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="image" select="../swhg:location[position()=$curpos+2]"/>
		                            </td>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="image" select="../swhg:location[position()=$curpos+3]"/>
		                            </td>
		                        </tr>
		                        <tr>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="label" select="../swhg:location[position()=$curpos]"/>
		                            </td>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="label" select="../swhg:location[position()=$curpos+1]"/>
		                            </td>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="label" select="../swhg:location[position()=$curpos+2]"/>
		                            </td>
		                            <td valign="center" align="center" class="bookmarkcell">
		                                <xsl:apply-templates mode="label" select="../swhg:location[position()=$curpos+3]"/>
		                            </td>
		                        </tr>
		                     </xsl:if>
		                </xsl:for-each>
		            </table>
				</div>
            </div>
    </xsl:template>
    
            <!-- Results grouped by category -->
    <xsl:template match="ogt:Facet[ogt:facetSelector/@rdf:resource = '&query;bookmarksByCategory']" mode="results">
        <h4>
            Kohteet ryhmiteltyinä kategorian 
            <i><xsl:value-of select="ogt:subCategories/ogt:Category/@rdfs:label"/></i> 
            mukaisesti
        </h4>
        <div class="itemActions">
            <div class="showAll" align="left">
                (<a href="?{$ustate}&amp;g=">näytä ilman ryhmittelyä</a>)
            </div>        
        </div>
        <xsl:call-template name="bookmarkGroups">
	        <xsl:with-param name="headerdef" select="concat('C',descendant::fms:rootcatid)"/>
		</xsl:call-template>
    </xsl:template>

	<!-- Results grouped by keyword -->
    <xsl:template match="ogt:Facet[ogt:facetSelector/@rdf:resource = '&query;bookmarksByKeyword']" mode="results">
        <xsl:variable name="keyword" select="ogt:facetSelector/@rdfs:label"/>
        <h4>
            Kohteet ryhmiteltyinä hakusanan 
            <i><xsl:value-of select="$keyword"/></i> 
            mukaisesti
            
        </h4>
        <div class="itemActions">
            <div class="showAll">
                (<a href="?{$ustate}&amp;g=">näytä ilman ryhmittelyä</a>)
            </div>
        </div>
        <xsl:call-template name="bookmarkGroups">
            <xsl:with-param name="modifiers" select="concat('&amp;rk=', $keyword)"/>
            <xsl:with-param name="incRoot">true</xsl:with-param>
            <xsl:with-param name="headerdef" select="'Keyword'"/>
        </xsl:call-template>
    </xsl:template>
	
	 <xsl:template match="ogt:Facet[ogt:facetSelector/@rdf:resource = '&query;bookmarksByCoordinates']" mode="results">
 	         <xsl:variable name="keyword" select="ogt:facetSelector/@rdfs:label"/>
 	         <h4>
 	             Kohteet ryhmiteltyinä koordinaatteja <i>x=<xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:x"/>, y=<xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:y"/></i> lähellä sijaitsevien paikkojen
 	             mukaisesti
 	             
 	         </h4>
 	         <div class="itemActions">
 	             <div class="showAll">
 	                 <xsl:value-of select="ogt:bookmarkHits"/> kohdetta (<a href="?{$ustate}&amp;g=">näytä ilman ryhmittelyä</a>)
 	             </div>
 	         </div>
 	         <xsl:call-template name="bookmarkGroups">
 	             <xsl:with-param name="modifiers" select="concat('&amp;rp=', java:net.URLEncoder.encode($keyword))"/>
 	             <xsl:with-param name="incRoot">true</xsl:with-param>
 	             <xsl:with-param name="headerdef" select="'ProjectionOf'"/>
 	         </xsl:call-template>
 	     </xsl:template>
	
	<!-- Results grouped by projectedFrom -->
    <xsl:template match="ogt:Facet[ogt:facetSelector/@rdf:resource = '&query;bookmarksByProjectedFrom']" mode="results">
        <xsl:variable name="keyword" select="ogt:facetSelector/@rdfs:label"/>
        <h4>
            Kohteet ryhmiteltyinä 
							<xsl:choose>
                                <xsl:when test="starts-with(ogt:facetSelector/@rdfs:label,'http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-paikat')">
                                  <xsl:text>paikan </xsl:text>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:text>ontologialuokan </xsl:text>
                                </xsl:otherwise>
                            </xsl:choose>
            <i><xsl:value-of select="ogt:subCategories/ogt:Category/@rdfs:label"/></i> 
            mukaisesti
            
        </h4>
        <div class="itemActions">
            <div class="showAll">
                <xsl:value-of select="ogt:bookmarkHits"/> kohdetta (<a href="?{$ustate}&amp;g=">näytä ilman ryhmittelyä</a>)
            </div>
        </div>
        <xsl:call-template name="bookmarkGroups">
            <xsl:with-param name="modifiers" select="concat('&amp;rp=', java:net.URLEncoder.encode($keyword))"/>
            <xsl:with-param name="incRoot">true</xsl:with-param>
            <xsl:with-param name="headerdef" select="'ProjectionOf'"/>
        </xsl:call-template>
    </xsl:template>

	<!-- Results ungrouped -->
    <xsl:template match="ogt:Facet[ogt:facetSelector/@rdf:resource = '&query;bookmarks']" mode="results">
			<xsl:variable name="bmcount" select="count(ogt:topicOf/bm:Bookmark)"/>
		<h4>
			Kohteet - ei ryhmittelyä
		</h4>
        <div class="itemActions">
        </div>
        <div class="header">
					<span class="bookmarkHits">
						Kohteet 
						<xsl:choose>
						    <xsl:when test="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit">
						        <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit + 1"/>
						        <xsl:text>-</xsl:text>
						        <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit + $bmcount"/>
					        </xsl:when>
					        <xsl:otherwise>
					            1-<xsl:value-of select="$bmcount"/>
    			            </xsl:otherwise>
					    </xsl:choose>
						<xsl:text>/</xsl:text><xsl:value-of select="ogt:bookmarkHits"/>
                    </span>
<!--			<span class="selected">Kohteet (<xsl:value-of select="ogt:bookmarkHits"/> kpl)</span> -->
		</div>
        <xsl:call-template name="bookmarks"/>
        <xsl:call-template name="pagination">
            <xsl:with-param name="category" select="."/>
            <xsl:with-param name="amount" select="10"/>
            <xsl:with-param name="current" select="/rdf:RDF/ui:UState/ui:skipBookmarks[not(@ui:category)]/@ui:limit"/>
        </xsl:call-template>
	</xsl:template>
    
    
    
    <xsl:template match="swhg:NearestMuinainen/swhg:nearest/swhg:location" mode="label">
        <div class="bookmark">
            <xsl:value-of select="@rdfs:label"/>
			<xsl:text> (</xsl:text>
			<xsl:value-of select="@swhg:distance"/>
			<xsl:text>)</xsl:text>
        </div>
    </xsl:template>

    <xsl:template match="swhg:NearestMuinainen/swhg:nearest/swhg:location" mode="image">
        <div class="image">
        	<a href="&muin;{$ustate}&amp;sb={java:net.URLEncoder.encode(@rdf:resource)}"><img src="content/images/hy.gif"/></a>
        </div>
    </xsl:template>

	<xsl:template match="ogt:Category" name="bookmarkGroup" mode="bookmarkGroup">
		<xsl:param name="category" select="."/>
		<xsl:param name="modifiers"/>
		<xsl:param name="incRoot"/>
		<xsl:param name="headerdef"/>
		<xsl:if test="ogt:topicOf/bm:Bookmark">
            <xsl:variable name="isRoot" select="/rdf:RDF/ui:UState/ui:category[@ui:catid = $category/@ogt:catid]"/> 
            <xsl:variable name="bmcount" select="count($category/ogt:topicOf/bm:Bookmark)"/>
			<div class="bookmarkGroup">
			    <a name="bg{java:net.URLEncoder.encode(translate(@ogt:catid,'%','_'))}" />
				<div class="header{$headerdef}">
					<span class="groupTitle">
						<xsl:choose>
							<xsl:when test="$isRoot">
								<xsl:value-of select="$category/@rdfs:label"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:if test="$incRoot and $category/ogt:hasRoot">
									<xsl:apply-templates mode="keywordPath" select="$category/ogt:hasRoot/ogt:Category"/>
								</xsl:if>
								<a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;n={java:net.URLEncoder.encode($category/@ogt:catid)}&amp;g=c{java:net.URLEncoder.encode($category/@ogt:catid)}{$modifiers}">
									<xsl:value-of select="$category/@rdfs:label"/>
								</a>
							</xsl:otherwise>
						</xsl:choose>
					</span>
                    <xsl:text>, </xsl:text>
					<span class="bookmarkHits">
						kohteet 
						<xsl:choose>
						    <xsl:when test="/rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=$category/@ogt:catid]/@ui:limit">
						        <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=$category/@ogt:catid]/@ui:limit + 1"/>
						        <xsl:text>-</xsl:text>
						        <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=$category/@ogt:catid]/@ui:limit + $bmcount"/>
					        </xsl:when>
					        <xsl:otherwise>
					            1-<xsl:value-of select="$bmcount"/>
    			            </xsl:otherwise>
					    </xsl:choose>
						<xsl:text>/</xsl:text><xsl:value-of select="$category/ogt:bookmarkHits"/>
                        <xsl:if test="not(/rdf:RDF/ui:UState/ui:groupBy/@ui:catid) or $category/@ogt:catid != /rdf:RDF/ui:UState/ui:groupBy/@ui:catid">
                            <xsl:call-template name="groupBy">
                                <xsl:with-param name="mode">c</xsl:with-param>
                                <xsl:with-param name="id" select="$category/@ogt:catid"/>
                            </xsl:call-template>
                        </xsl:if>
                    </span>
					<xsl:if test="$isRoot and $bmcount &lt; $category/ogt:bookmarkHits">
						<span class="showAll">
							(<a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$modifiers}&amp;g=">näytä kaikki</a>)
						</span>
					</xsl:if>
				</div>
                <xsl:call-template name="bookmarks">
					<xsl:with-param name="category" select="$category"/>
				</xsl:call-template>
				<xsl:choose>
    	    	    <xsl:when test="ogt:directBookmarkHits">
	        			<xsl:call-template name="pagination">
        				    <xsl:with-param name="category" select="$category"/>				    
        				    <xsl:with-param name="maxBookmarks" select="ogt:directBookmarkHits"/>
            		    </xsl:call-template>
    	    		</xsl:when>
    	    		<xsl:otherwise>
	        			<xsl:call-template name="pagination">
        				    <xsl:with-param name="category" select="$category"/>				    
        				    <xsl:with-param name="maxBookmarks" select="ogt:bookmarkHits"/>
            		    </xsl:call-template>
   	    		    </xsl:otherwise>
    		    </xsl:choose>
			</div>
		</xsl:if>
	</xsl:template>
	
    <!-- Single bookmark -->
    <xsl:template match="bm:Bookmark" mode="image">
            <div class="image">
                <xsl:choose>
                    <!-- direct bookmarks -->
                    <xsl:when test="ancestor::ogt:Category[1]/ogt:directBookmarkHits and /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=current()/ancestor::ogt:Category[1]/@ogt:catid]">
                       <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:-1&amp;cb={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=current()/ancestor::ogt:Category[1]/@ogt:catid]/@ui:limit}">
                          <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                       </a>
                    </xsl:when>
                    <xsl:when test="ancestor::ogt:Category[1]/ogt:directBookmarkHits">
                       <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:-1&amp;cb={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:{count(preceding-sibling::bm:Bookmark)}">
                          <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                       </a>
                    </xsl:when>
                    <!-- remainder -->
                    <xsl:when test="ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category and /rdf:RDF/ui:UState/ui:skipCategories and not(ancestor::ogt:Category[1]) and /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::node()/ogt:subCategories/ogt:Category/@ogt:catid)}:-{count(ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']/@ui:limit}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category and /rdf:RDF/ui:UState/ui:skipCategories and not(ancestor::ogt:Category[1])">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::node()/ogt:subCategories/ogt:Category/@ogt:catid)}:-{count(ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark)}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category and not(ancestor::ogt:Category[1]) and /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::node()/ogt:subCategories/ogt:Category/@ogt:catid)}:-{count(ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']/@ui:limit}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category and not(ancestor::ogt:Category[1])">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::node()/ogt:subCategories/ogt:Category/@ogt:catid)}:-{count(ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark)}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories and not(ancestor::ogt:Category[1]) and /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc=:-{count(ancestor::node()/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']/@ui:limit}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories and not(ancestor::ogt:Category[1])">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc=:-{count(ancestor::node()/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark)}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="not(ancestor::ogt:Category[1]) and /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc=:-{count(ancestor::node()/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category='']/@ui:limit}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="not(ancestor::ogt:Category[1])">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc=:-{count(ancestor::node()/ogt:subCategories/ogt:Category) + 2}&amp;cb=:{count(preceding-sibling::bm:Bookmark)}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <!-- groups -->
                    <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories and /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=current()/ancestor::ogt:Category[1]/@ogt:catid]">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::node()/ogt:subCategories/ogt:Category/@ogt:catid)}:-{count(ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) + 1}&amp;cb={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=current()/ancestor::ogt:Category[1]/@ogt:catid]/@ui:limit}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::node()/ogt:subCategories/ogt:Category/@ogt:catid)}:-{count(ancestor::node()/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) + 1}&amp;cb={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:{count(preceding-sibling::bm:Bookmark)}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:when test="/rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=current()/ancestor::ogt:Category[1]/@ogt:catid]">
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::ogt:Category[2]/@ogt:catid)}:{count(ancestor::ogt:Category[1]/preceding-sibling::node())}&amp;cb={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:{count(preceding-sibling::bm:Bookmark) + /rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=current()/ancestor::ogt:Category[1]/@ogt:catid]/@ui:limit}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:when>
                    <xsl:otherwise>
                        <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}&amp;cc={java:net.URLEncoder.encode(ancestor::ogt:Category[2]/@ogt:catid)}:{count(ancestor::ogt:Category[1]/preceding-sibling::node())}&amp;cb={java:net.URLEncoder.encode(ancestor::ogt:Category[1]/@ogt:catid)}:{count(preceding-sibling::bm:Bookmark)}">
                            <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                        </a>
                    </xsl:otherwise>
                </xsl:choose>
                
<!--                <a href="&mobileitem;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}{$groupBy}&amp;sb={java:net.URLEncoder.encode(@rdf:about)}{$pstate}">
                    <img src="/gifs/thumbnails{substring-after(fms:www_kuvatiedostonimi,'/home/group/seco/public_html/intra/Museo')}" />
                </a> -->
            </div>
    </xsl:template>

    <xsl:template match="bm:Bookmark" mode="label">
        <div class="bookmark">
            <xsl:value-of select="@rdfs:label"/>
            <xsl:text>(</xsl:text>                          
            <xsl:value-of select="translate(fms:www_numero,':',' ')"/>                          
            <xsl:text>)</xsl:text>                         
         </div>
    </xsl:template>
    
    <!-- Root category of a path -->
    <xsl:template match="ogt:Category" mode="facetPath">
        <span class="root"><xsl:value-of select="@rdfs:label"/></span>
        <xsl:text>:&nbsp;</xsl:text>
        <a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;rc={java:net.URLEncoder.encode(@ogt:catid)}">kaikki</a>
        <xsl:text> &gt; </xsl:text>
        <xsl:apply-templates mode="path" select="ogt:subCategories"/>
    </xsl:template>

    <!-- Path with every category selectable -->
    <xsl:template match="ogt:Category" mode="path">
        <a href="&home;{$prefs}{$cstate}{$lstate}{$pstate}{$kstate}&amp;n={java:net.URLEncoder.encode(@ogt:catid)}&amp;g=c{java:net.URLEncoder.encode(@ogt:catid)}">
            <xsl:value-of select="@rdfs:label"/>
        </a> &gt;
        <xsl:apply-templates mode="path" select="ogt:subCategories"/>
    </xsl:template>

    <!-- Keyword path  -->
    <xsl:template match="ogt:Category" mode="keywordPath" name="keywordPath">
        <xsl:value-of select="@rdfs:label"/><xsl:text> &gt; </xsl:text>
    </xsl:template>
    

	<xsl:template name="help">
<!--		<p><strong>Valitse kategoria tai anna hakusana/hakusanoja.</strong></p>
		<p>Tähän logoja ja muuta hypetystä.</p> -->
	</xsl:template>
</xsl:stylesheet>
