<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY bm "http://www.w3.org/2002/01/bookmark#">
    <!ENTITY fms "http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-esinekortti#">
    <!ENTITY html "http://www.w3.org/1999/xhtml"> 
    <!ENTITY java "java">
    <!ENTITY ogt "http://www.cs.helsinki.fi/group/seco/ns/2004/03/ontogator#">
    <!ENTITY owl "http://www.w3.org/2002/07/owl#"> 
    <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
    <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#"> 
    <!ENTITY swhg "http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-sewehgrius#">
    <!ENTITY ui "http://www.cs.helsinki.fi/group/seco/ns/2004/03/ustate#"> 
    <!ENTITY uim "UIManager"> 
    <!ENTITY xsd "http://www.w3.org/2000/10/XMLSchema#"> 
    <!ENTITY xsl "http://www.w3.org/1999/XSL/Transform">
    <!ENTITY i18n "http://apache.org/cocoon/i18n/2.1">
    <!ENTITY query "http://museosuomi.cs.helsinki.fi/internal/ogtQuery#">
    <!ENTITY page "http://apache.org/cocoon/paginate/1.0">
    <!ENTITY muinainen "http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-muinainen#">
    <!ENTITY item "item?">
    <!ENTITY items "items?">
    <!ENTITY tree "tree?">
    <!ENTITY home "?">
    <!ENTITY main "/?">
    <!ENTITY mobile "mobile?">
    <!ENTITY mobiletree "mobiletree?">
    <!ENTITY mobileitem "mobileitem?">
    <!ENTITY mobilemail "mobilemail?">
    <!ENTITY muin "muinainen?">
    <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:html="&html;" xmlns:ogt="&ogt;" xmlns:owl="&owl;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:swhg="&swhg;" xmlns:ui="&ui;"  xmlns:xsd="&xsd;" xmlns:xsl="&xsl;" xmlns:i18n="&i18n;" xmlns:query="&query;">

    <xsl:variable name="language" select="/rdf:RDF/ui:UState/ui:language"/>

    <xsl:variable name="constraint">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:category[@ui:selected = 'true']">
            <rdf:Description rdf:about="&query;s{@ui:catid}"/>
        </xsl:for-each>
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:keyword">
            <rdf:Description rdf:about="&query;k{text()}"/>
        </xsl:for-each>
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:projectedFrom">
            <rdf:Description rdf:about="&query;p{@rdf:resource}"/>
        </xsl:for-each>
        <xsl:if test="/rdf:RDF/ui:UState/ui:coordinates">
        	<rdf:Description rdf:about="&query;l"/>
        </xsl:if>
    </xsl:variable>
    
    <xsl:template name="constraints">
        <ogt:FacetSelector rdf:about="&query;s{@ui:catid}" 
            ogt:filter="NONE" 
            ogt:incPath="true" 
            ogt:incBookmarks="false" 
            ogt:incCategories="true" 
            ogt:incHits="false" 
            ogt:incTopics="false" 
            ogt:acceptLanguage="{$language}" 
            ogt:category="{@ui:catid}" 
            ogt:incSubCategories="NONE">
            <ogt:incPath>true</ogt:incPath>
            <ogt:incBookmarkHits>false</ogt:incBookmarkHits>
            <ogt:incCategoryProperty rdf:resource="&fms;rootcatid"/>
        </ogt:FacetSelector>
    </xsl:template>
    
        <xsl:template name="projectedFrom">
        <ogt:FacetSelector rdf:about="&query;p{@rdf:resource}" 
                ogt:incPath="true" 
                ogt:filter="{/rdf:RDF/ui:UState/ui:filter}" 
                ogt:acceptLanguage="{$language}" 
                ogt:incBookmarks="false" 
                ogt:incCategories="true" 
                ogt:incSubCategories="NONE" 
                ogt:incTopics="NONE"
				ogt:incSubCategoryHits="true">
			<xsl:if test="not(/rdf:RDF/ui:UState/ui:expand/@ui:projectedFrom) or text() != /rdf:RDF/ui:UState/ui:expand/@ui:projectedFrom">
				<ogt:maxSubCategories ogt:limit="{/rdf:RDF/ui:UState/ui:maxSubCategories}"/>
			</xsl:if>
                    <rdfs:label>
                        <xsl:value-of select="@rdf:resource"/>
                    </rdfs:label>
            <ogt:projectedFrom>
                <xsl:attribute name="rdf:resource" namespace="&rdf;">
                    <xsl:value-of select="@rdf:resource"/>
                </xsl:attribute>
            </ogt:projectedFrom>
            <ogt:incCategoryProperty rdf:resource="&fms;rootcatid"/>
            <ogt:incCategoryProperty rdf:resource="&ogt;projectionOf"/>            
            <xsl:if test="$constraint">
                <ogt:constraint rdf:parseType="Collection">
                    <xsl:copy-of select="$constraint"/>
                </ogt:constraint>
            </xsl:if>
        </ogt:FacetSelector>
    </xsl:template>
	
    <xsl:template name="coordinates">
        <ogt:FacetSelector rdf:about="&query;l" 
                ogt:incPath="true" 
                ogt:filter="{/rdf:RDF/ui:UState/ui:filter}" 
                ogt:acceptLanguage="{$language}" 
                ogt:incBookmarks="false" 
                ogt:incCategories="true" 
                ogt:incSubCategories="NONE" 
                ogt:incTopics="NONE"
				ogt:incSubCategoryHits="true">
                    <rdfs:label>
                        <xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:x"/>,
                        <xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:y"/>
                    </rdfs:label>
                    <xsl:apply-templates select="/rdf:RDF/ui:UState/swhg:NearestLocation/swhg:nearest/swhg:location"/>
            <ogt:incCategoryProperty rdf:resource="&fms;rootcatid"/>
            <ogt:incCategoryProperty rdf:resource="&ogt;projectionOf"/>            
            <xsl:if test="$constraint">
                <ogt:constraint rdf:parseType="Collection">
                    <xsl:copy-of select="$constraint"/>
                </ogt:constraint>
            </xsl:if>
        </ogt:FacetSelector>
    </xsl:template>
    
    <xsl:template match="swhg:NearestLocation/swhg:nearest/swhg:location">
		<ogt:projectedFrom rdf:resource="{@rdf:resource}" />
    </xsl:template>

    <xsl:template name="keyword">
        <ogt:FacetSelector rdf:about="&query;k{text()}" 
                ogt:incPath="true" 
                rdfs:label="{text()}" 
                ogt:filter="{/rdf:RDF/ui:UState/ui:filter}" 
                ogt:acceptLanguage="{$language}" 
                ogt:incBookmarks="false" 
                ogt:incCategories="true" 
                ogt:incSubCategories="NONE"
				ogt:incSubCategoryHits="true">
			<ogt:maxBookmarks ogt:limit="{/rdf:RDF/ui:UState/ui:maxBookmarks}"/> 
			<xsl:if test="not(/rdf:RDF/ui:UState/ui:expand/@ui:keyword) or text() != /rdf:RDF/ui:UState/ui:expand/@ui:keyword">
				<ogt:maxSubCategories ogt:limit="{/rdf:RDF/ui:UState/ui:maxSubCategories}"/>
			</xsl:if>
            <ogt:categoryKeyword>
                <xsl:value-of select="text()"/>
            </ogt:categoryKeyword>
            <ogt:bookmarkKeyword>
                <xsl:value-of select="text()"/>
            </ogt:bookmarkKeyword>
            <ogt:incCategoryProperty rdf:resource="&fms;rootcatid"/>
            <xsl:if test="$constraint">
                <ogt:constraint rdf:parseType="Collection">
                    <xsl:copy-of select="$constraint"/>
                </ogt:constraint>
            </xsl:if>
        </ogt:FacetSelector>
    </xsl:template>
    
    <xsl:template match="ui:skipBookmarks">
        <xsl:choose>
            <xsl:when test="@ui:category">
                <ogt:skipBookmarks ogt:onCategory="{@ui:category}" ogt:limit="{@ui:limit}"/>
            </xsl:when>
            <xsl:otherwise>
                <ogt:skipBookmarks ogt:limit="{@ui:limit}"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    <xsl:template match="ui:skipCategories">
        <xsl:choose>
<!--            <xsl:when test="@ui:category">
                <ogt:skipSubCategories ogt:onCategory="{@ui:category}" ogt:limit="{@ui:limit}"/>
            </xsl:when> -->
            <xsl:when test="/rdf:RDF/ui:UState/ui:groupBy/@ui:catid">
                <ogt:skipSubCategories ogt:onCategory="{/rdf:RDF/ui:UState/ui:groupBy/@ui:catid}" ogt:limit="{text()}"/>
            </xsl:when>
            <xsl:otherwise>
                <ogt:skipSubCategories ogt:limit="{text()}"/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>