<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY % fmsentities PUBLIC
   "Museosuomi//ENTITIES Namespaces//EN//XML"
   "fmsentities.pen">
   %fmsentities;
]><!--

    File CVS Id: $Id: ogtItemQuery.xslt,v 1.5 2004/03/19 12:37:03 jiemakel Exp $   
	This file is created by the Semantic Computing Research Group as a
	part of the Semantic Web project in 2002-2004 at Helsinki Institute
	for Information Technology (HIIT) and University of Helsinki.

	Group homepage: http://www.cs.helsinki.fi/group/seco/

-->
<xsl:stylesheet version="1.0" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:ogt="&ogt;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:ui="&ui;" xmlns:xsd="http://www.w3.org/2000/10/XMLSchema#" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:include href="ogtHelper.xslt"/>
	<xsl:template match="rdf:RDF/ui:UState">
		<rdf:RDF xmlns="&ogt;" xmlns:bm="&bm;" xmlns:ogt="&ogt;" xmlns:rdf="&rdf;" xmlns:fms="&fms;" xmlns:rdfs="&rdfs;">
            <xsl:for-each select="ui:selectedBookmark">
                <xsl:variable name="fs">&query;bookmark-<xsl:value-of select="position()"/></xsl:variable>
                <ogt:FacetSelector rdf:about="{$fs}" rdfs:label="{@rdf:resource}">
                    <ogt:incBookmarks>true</ogt:incBookmarks>
                    <ogt:incCategories>false</ogt:incCategories>
                    <ogt:incTopics>ALL</ogt:incTopics>
                    <ogt:incBookmarkHits>true</ogt:incBookmarkHits>
                    <ogt:incPathBookmarkHits>true</ogt:incPathBookmarkHits>
                    <ogt:acceptLanguage><xsl:value-of select="../ui:language"/></ogt:acceptLanguage>
                    <ogt:incBookmarkProperty rdf:resource="&ogt;ANY_PROPERTY"/>
                    <ogt:bookmark rdf:resource="{@rdf:resource}"/>
                    <ogt:constraint rdf:parseType="Collection">
                        <rdf:Description rdf:about="{$fs}"/>
                    </ogt:constraint>
                </ogt:FacetSelector>
            </xsl:for-each>
            <xsl:if test="/rdf:RDF/ui:UState/ui:currentCategory and /rdf:RDF/ui:UState/ui:currentBookmark">
                <xsl:for-each select="ui:category[@ui:selected = 'true']">
                    <xsl:call-template name="constraints"/>
                </xsl:for-each>
                <xsl:for-each select="ui:projectedFrom">
                    <xsl:call-template name="projectedFrom"/>
                </xsl:for-each>
                <xsl:for-each select="ui:keyword">
                    <xsl:call-template name="keyword"/>
                </xsl:for-each>
                <xsl:call-template name="bookmarks"/>
            </xsl:if>
        </rdf:RDF>
	</xsl:template>
		
    <xsl:template name="bookmarks">
        <xsl:variable name="bmOptions">
            <ogt:incBookmarks>true</ogt:incBookmarks>
            <ogt:incSubCategoryHits>true</ogt:incSubCategoryHits>
            <ogt:acceptLanguage>
                <xsl:value-of select="ui:language"/>
            </ogt:acceptLanguage>
            <xsl:if test="$constraint">
                <ogt:constraint rdf:parseType="Collection">
                    <xsl:copy-of select="$constraint"/>
                </ogt:constraint>
            </xsl:if>
        </xsl:variable>
        <xsl:variable name="categoryOptions">
            <ogt:incCategories>true</ogt:incCategories>
            <ogt:filter>POST-QUERY</ogt:filter>
            <ogt:incPath>true</ogt:incPath>
            <ogt:incTopics>NONE</ogt:incTopics>
            <ogt:incDirectBookmarkHits>true</ogt:incDirectBookmarkHits>
            <ogt:incRemainder>true</ogt:incRemainder>
            <xsl:choose>
                <xsl:when test="ui:currentCategory/@ui:limit &lt; -1">
                    <ogt:skipSubCategories ogt:onCategory="{ui:currentCategory/@ui:category}" ogt:limit="{ui:currentCategory/@ui:limit * -1 - 3}"/>
                </xsl:when>
                <xsl:otherwise>
                    <ogt:skipSubCategories ogt:onCategory="{ui:currentCategory/@ui:category}" ogt:limit="{ui:currentCategory/@ui:limit - 1}"/>
                </xsl:otherwise>
            </xsl:choose>
                <ogt:skipBookmarks ogt:onCategory="{ui:currentBookmark/@ui:category}" ogt:limit="{ui:currentBookmark/@ui:limit - 1}"/>
            <ogt:maxBookmarks ogt:limit="3"/>
			<ogt:maxSubCategories ogt:limit="3"/>
            <xsl:copy-of select="$bmOptions"/>
        </xsl:variable>
        <xsl:choose>
			<!-- Bookmarks grouped by category -->
            <xsl:when test="ui:groupBy/@ui:catid">
                <ogt:FacetSelector rdf:about="&query;prevNext">
                    <ogt:incSubCategories>DIRECT</ogt:incSubCategories>
                    <ogt:category>
                        <xsl:value-of select="ui:groupBy/@ui:catid"/>
                    </ogt:category>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
			<!-- Bookmarks grouped by keyword -->
            <xsl:when test="ui:groupBy/@ui:keyword">
                <ogt:FacetSelector rdf:about="&query;prevNext">
                    <rdfs:label>
                        <xsl:value-of select="ui:groupBy/@ui:keyword"/>
                    </rdfs:label>
                    <ogt:categoryKeyword>
                        <xsl:value-of select="ui:groupBy/@ui:keyword"/>
                    </ogt:categoryKeyword>
                    <ogt:bookmarkKeyword>
                        <xsl:value-of select="ui:groupBy/@ui:keyword"/>
                    </ogt:bookmarkKeyword>
                    <ogt:incSubCategories>NONE</ogt:incSubCategories>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
			<!-- Bookmarks grouped by projectedFrom -->
            <xsl:when test="ui:groupBy/@ui:projectedFrom">
                <ogt:FacetSelector rdf:about="&query;prevNext">
                    <rdfs:label>
                        <xsl:value-of select="ui:groupBy/@ui:projectedFrom"/>
                    </rdfs:label>
                    <ogt:projectedFrom>
                        <xsl:attribute name="rdf:resource" namespace="&rdf;">
                            <xsl:value-of select="ui:groupBy/@ui:projectedFrom"/>
                        </xsl:attribute>
                    </ogt:projectedFrom>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
			<!-- Bookmarks ungrouped -->
            <xsl:otherwise>
                <ogt:FacetSelector rdf:about="&query;prevNext">
                    <ogt:incRemainder>true</ogt:incRemainder>
                    <ogt:incCategories>false</ogt:incCategories>
                    <xsl:copy-of select="$bmOptions"/>
            <xsl:choose>
                <xsl:when test="ui:currentCategory/@ui:limit &lt; -1">
                    <ogt:skipSubCategories ogt:onCategory="{ui:currentCategory/@ui:category}" ogt:limit="{ui:currentCategory/@ui:limit * -1 - 2}"/>
                </xsl:when>
                <xsl:otherwise>
                    <ogt:skipSubCategories ogt:onCategory="{ui:currentCategory/@ui:category}" ogt:limit="{ui:currentCategory/@ui:limit - 1}"/>
                </xsl:otherwise>
            </xsl:choose>
                <ogt:skipBookmarks ogt:onCategory="{ui:currentBookmark/@ui:category}" ogt:limit="{ui:currentBookmark/@ui:limit - 1}"/>
            <ogt:maxBookmarks ogt:limit="3"/>
			<ogt:maxSubCategories ogt:limit="3"/>
                </ogt:FacetSelector>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
    