<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY % fmsentities PUBLIC
   "Museosuomi//ENTITIES Namespaces//EN//XML"
   "fmsentities.pen">
   %fmsentities;
]>
<!--

    File CVS Id: $Id: webItem.xslt,v 1.11 2004/03/22 08:44:19 jiemakel Exp $   
    This file is created by the Semantic Computing Research Group as a
    part of the Semantic Web project in 2002-2004 at Helsinki Institute
    for Information Technology (HIIT) and University of Helsinki.

    Group homepage: http://www.cs.helsinki.fi/group/seco/

-->

<xsl:stylesheet version="1.0" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:html="&html;" xmlns:java="&java;" xmlns:ogt="&ogt;" xmlns:owl="&owl;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:swhg="&swhg;" xmlns:ui="&ui;" xmlns:uim="&uim;" xmlns:xsd="&xsd;" xmlns:xsl="&xsl;" xmlns:i18n="&i18n;" xmlns:query="&query;">
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="iso-8859-1" indent="yes" media-type="text/xml" method="xml" omit-xml-declaration="no" standalone="yes" version="1.0"/>

	<xsl:include href="xhtmlHelper.xslt" />

	<xsl:template match="rdf:RDF">
		 <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title>
                    <i18n:text>MuseoSuomi</i18n:text>
                </title>
                <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type"/>
                <meta content="text/css" http-equiv="Content-Style-Type"/>
                <meta content="Semantic Web" name="description" i18n:attr="content"/>
                <meta content="Semantic web, fmsweb" name="keywords" i18n:attr="content"/>
                <link href="/content/stylesheets/web.css" rel="stylesheet" title="FMS-stylesheet basic" type="text/css"/>
            </head>
            <body>
                <xsl:call-template name="itemHeader"/>
				<xsl:if test="/rdf:RDF/ui:UState/ui:currentCategory and /rdf:RDF/ui:UState/ui:currentBookmark">
    			    <xsl:call-template name="prevnext" />
                </xsl:if>
                <h4><xsl:value-of select="ogt:Facet/ogt:topicOf/bm:Bookmark/fms:label" /></h4>
                <table>
                	<tr>
                		<td valign="top" width="300" align="center">
							<xsl:for-each select="ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource,'&query;bookmark')]/ogt:topicOf/bm:Bookmark/fms:www_kuvatiedostonimi">
				                <a href="/images/originals{substring-after(text(),'/home/group/seco/public_html/intra/Museo')}">
                                    <img src="/images{substring-after(text(),'/home/group/seco/public_html/intra/Museo')}" />
                                </a>
                                <br/>
							</xsl:for-each>
		                </td>
                		<td valign="top">
			                <xsl:call-template name="properties" />
			                <xsl:call-template name="categories" />
		                </td>
                		<td valign="top" width="25%">
			                <xsl:call-template name="links" />
		                </td>
                	</tr>
                </table>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="prevnext">
	    <xsl:variable name="cb" select="concat('&amp;cb=',java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category),':')"/>
	    <xsl:variable name="cba" select="/rdf:RDF/ui:UState/ui:currentBookmark/@ui:limit"/>
	    <xsl:variable name="cc" select="concat('&amp;cc=',java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:currentCategory/@ui:category),':')"/>
	    <xsl:variable name="cca" select="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit"/>
	    <table width="100%">
	        <tr>
	            <td width="43%" align="left">
            	    <div align="right" class="pagination">
            	        <xsl:text>(</xsl:text>
            	        <xsl:choose>
            	            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit=-1">
                                <span class="inactive">&lt;&lt;</span>
                            </xsl:when>
                            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit &lt; -1 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category">
                       	        <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[last()]//bm:Bookmark/@rdf:about)}{$cc}{$cca * -1 - 3}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[last()]/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[last()]/@rdfs:label"/></a>
                       	        <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[last()]/ogt:bookmarkHits"/>)</span>
                       	        <xsl:text> &lt;&lt;</xsl:text>
                            </xsl:when>
                            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit &lt; -1 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category[last()]//bm:Bookmark">
                       	        <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category[last()]//bm:Bookmark/@rdf:about)}{$cc}{$cca * -1 - 3}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category[last()]/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category[last()]/ogt:hasRoot/ogt:Category/@rdfs:label"/> &gt; <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category[last()]/@rdfs:label"/></a>
                       	        <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category[last()]/ogt:bookmarkHits"/>)</span>
                       	        <xsl:text> &lt;&lt;</xsl:text>
                            </xsl:when>
            	            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit!=0 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category//bm:Bookmark">
                       	        <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category//bm:Bookmark/@rdf:about)}{$cc}{$cca - 1}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category/@rdfs:label"/></a>
                       	        <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category/ogt:bookmarkHits"/>)</span>
                       	        <xsl:text> &lt;&lt;</xsl:text>
                       	    </xsl:when>
                       	    <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit!=0 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category//bm:Bookmark">
                       	        <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category//bm:Bookmark/@rdf:about)}{$cc}{$cca - 1}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category/ogt:hasRoot/ogt:Category/@rdfs:label"/> &gt; <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category/@rdfs:label"/></a>
                       	        <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category/ogt:bookmarkHits"/>)</span>
                       	        <xsl:text> &lt;&lt;</xsl:text>
                       	    </xsl:when>
                       	    <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit=0 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:topicOf/bm:Bookmark and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category">
                       	        <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:topicOf/bm:Bookmark/@rdf:about)}{$cc}-1&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/@rdfs:label"/></a>
                       	        <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:directBookmarkHits"/>)</span>
                       	        <xsl:text> &lt;&lt;</xsl:text>
                  	        </xsl:when>
                       	    <xsl:otherwise>
                                <span class="inactive">&lt;&lt;</span>
                  	        </xsl:otherwise>
                       	</xsl:choose>
                        <xsl:text>)</xsl:text>
                	</div>
                 </td>
                  <td witdh="14%" align="center">
                      <div align="center" class="pagination">
                          <xsl:choose>
                              <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:category='' and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/@rdfs:label">
                                  <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:hasRoot/ogt:Category/@rdfs:label"/>
                                  &gt;
                                  <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/@rdfs:label"/>
                                  <span class="hits">
                                      <xsl:text> (</xsl:text>
                                      <xsl:choose>
                                          <xsl:when test="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:directBookmarkHits">
                                             <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:directBookmarkHits"/>
                                          </xsl:when>
                                          <xsl:otherwise>
                                             <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:bookmarkHits"/>
                                          </xsl:otherwise>    
                                      </xsl:choose>
                                      <xsl:text>)</xsl:text>
                                  </span>
                              </xsl:when>
                              <xsl:when test="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/@rdfs:label">
                                  <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/@rdfs:label"/>
                                  <span class="hits">
                                      <xsl:text> (</xsl:text>
                                      <xsl:choose>
                                          <xsl:when test="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:directBookmarkHits">
                                             <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:directBookmarkHits"/>
                                          </xsl:when>
                                          <xsl:otherwise>
                                             <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:bookmarkHits"/>
                                          </xsl:otherwise>    
                                      </xsl:choose>
                                      <xsl:text>)</xsl:text>
                                  </span>
                              </xsl:when>
                              <xsl:when test="not(/rdf:RDF/ui:UState/ui:groupBy)">
                                  Kohteet
                                  <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:remainder"/>)</span>
                              </xsl:when>
                              <xsl:otherwise>
                                  Muita kohteita
                                  <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:remainder"/>)</span>
                              </xsl:otherwise>
                          </xsl:choose>
                      </div>
                  </td>
                 <td width="43%" align="left">
                     <div class="pagination" align="left">
                        <xsl:text>(</xsl:text>
                        <xsl:choose>
                            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit=-1 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category">
                                   <xsl:text>&gt;&gt; </xsl:text><a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category//bm:Bookmark/@rdf:about)}{$cc}0&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category/@rdfs:label"/></a>
                                   <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category/ogt:bookmarkHits"/>)</span>
                            </xsl:when>
                            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit=0 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[2] and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category">
                                <xsl:text>&gt;&gt; </xsl:text>
                                <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[2]/ogt:topicOf/bm:Bookmark/@rdf:about)}{$cc}{$cca + 1}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[2]/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[2]/@rdfs:label"/></a>
                                <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[2]/ogt:bookmarkHits"/>)</span>
                            </xsl:when>
                               <xsl:when test="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[3] and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category">
                                 <xsl:text>&gt;&gt; </xsl:text>
                                 <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[3]/ogt:topicOf/bm:Bookmark/@rdf:about)}{$cc}{$cca + 1}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[3]/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[3]/@rdfs:label"/></a>
                                 <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category[3]/ogt:bookmarkHits"/>)</span>
                               </xsl:when>
                               <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit=0 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[2]">
                                   <xsl:text>&gt;&gt; </xsl:text>
                                   <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[2]/ogt:topicOf/bm:Bookmark/@rdf:about)}{$cc}{$cca + 1}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[2]/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[2]/ogt:hasRoot/ogt:Category/@rdfs:label"/> &gt; <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[2]/@rdfs:label"/></a>
                                   <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[2]/ogt:bookmarkHits"/>)</span>
                               </xsl:when>
                               <xsl:when test="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[3]">
                                   <xsl:text>&gt;&gt; </xsl:text>
                                   <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[3]/ogt:topicOf/bm:Bookmark/@rdf:about)}{$cc}{$cca + 1}&amp;cb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[3]/@ogt:catid)}:0"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[3]/ogt:hasRoot/ogt:Category/@rdfs:label"/> &gt; <xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[3]/@rdfs:label"/></a>
                                   <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[3]/ogt:bookmarkHits"/>)</span>
                               </xsl:when>
                               <xsl:when test="not(/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit &lt; -1) and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark">
                                   <xsl:text>&gt;&gt; </xsl:text><a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark/@rdf:about)}{$cc}{-1 * $cca - 3}&amp;cb=:0">Muita kohteita</a>
                                   <span class="hits"> (<xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:remainder"/>)</span>
                               </xsl:when>
                            <xsl:otherwise>
                                <span class="inactive">&gt;&gt;</span>
                            </xsl:otherwise>
                          </xsl:choose>
                          <xsl:text>)</xsl:text>
                      </div>
                 </td>
              </tr>
            </table>
            <table width="100%">
              <tr>
                  <td width="45%" align="right">
                      <div align="right" class="pagination">
                        <xsl:text>(</xsl:text>
                        <xsl:choose>
                	        <xsl:when test="/rdf:RDF/ui:UState/ui:currentBookmark/@ui:limit=0">
                    	        <span class="inactive">&lt;</span>
                	        </xsl:when>
                            <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit &lt; -1">
                                <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[1]/@rdf:about)}{$cc}{$cca}{$cb}{$cba - 1}"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[1]/@rdfs:label"/></a><xsl:text> &lt;</xsl:text>
                            </xsl:when>
                      	    <xsl:otherwise>
                                <a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[1]/@rdf:about)}{$cc}{$cca}{$cb}{$cba - 1}"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[1]/@rdfs:label"/></a><xsl:text> &lt;</xsl:text>
                            </xsl:otherwise>
                	    </xsl:choose>
                	    <xsl:text>)</xsl:text>
                	    </div>
                  </td>
                  <td width="10%" align="center"><div align="center" class="pagination"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:label" /></div></td>
                  <td width="45%" align="left">
                      <div align="left" class="pagination">
                         <xsl:text>(</xsl:text>
                       <xsl:choose>
                             <xsl:when test="/rdf:RDF/ui:UState/ui:currentBookmark/@ui:limit=0 and (/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[2])">
                               <xsl:text>&gt; </xsl:text><a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[2]/@rdf:about)}{$cc}{$cca}{$cb}{$cba + 1}"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[2]/@rdfs:label"/></a>
                             </xsl:when>
                             <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit &lt; -1 and /rdf:RDF/ui:UState/ui:currentBookmark/@ui:limit=0 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[2]">
                               <xsl:text>&gt; </xsl:text><a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[2]/@rdf:about)}{$cc}{$cca}{$cb}{$cba + 1}"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[2]/@rdfs:label"/></a>
                            </xsl:when>
                             <xsl:when test="/rdf:RDF/ui:UState/ui:currentCategory/@ui:limit &lt; -1 and /rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[3]">
                               <xsl:text>&gt; </xsl:text><a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[3]/@rdf:about)}{$cc}{$cca}{$cb}{$cba + 1}"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']/ogt:topicOf/bm:Bookmark[3]/@rdfs:label"/></a>
                            </xsl:when>
                             <xsl:when test="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[3]">
                               <xsl:text>&gt; </xsl:text><a href="&item;{$ustate}{$gBy}&amp;sb={java:net.URLEncoder.encode(/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[3]/@rdf:about)}{$cc}{$cca}{$cb}{$cba + 1}"><xsl:value-of select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;prevNext']//ogt:Category[@ogt:catid=/rdf:RDF/ui:UState/ui:currentBookmark/@ui:category]/ogt:topicOf/bm:Bookmark[3]/@rdfs:label"/></a>
                             </xsl:when>
                             <xsl:otherwise>
                                 <span class="inactive">&gt;</span>
                             </xsl:otherwise>
                          </xsl:choose>
                          <xsl:text>)</xsl:text>
                        </div>
                  </td>
              </tr>
           </table>
    </xsl:template>

	<xsl:template name="properties">
<!--	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:label">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Nimike</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:label" /></span></div>	
        </xsl:if>   	     -->
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_materiaali">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Materiaali</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_materiaali" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_tekija">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Valmistaja</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_tekija" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_valmistuspaikka">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Valmistuspaikka</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_valmistuspaikka" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_valmistusaika">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Valmistusaika</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_valmistusaika" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_valmistustapa">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Valmistustekniikka</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_valmistustapa" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_kayttaja">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Käyttäjä</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_kayttaja" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_kayttopaikka">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Käyttöpaikka</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_kayttopaikka" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_asiasana">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Asiasana</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_asiasana" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_mitat">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Mitat</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_mitat" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_museokokoelma">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Museokokoelma</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_museokokoelma" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_vastuumuseo">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Vastuumuseo</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_vastuumuseo" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_asiasanasto">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Asiasanasto</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_asiasanasto" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_numero">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>Esineen numero</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_numero" /></span></div>	
        </xsl:if>   	    
	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_esineid">
    	    <div class="property"><span class="propertyDefinition"><i18n:text>ID</i18n:text>: </span><span class="properyValue"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_esineid" /></span></div>	
        </xsl:if>   	    

	    <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_kuvailu">
    		<div class="description"><xsl:value-of select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/fms:www_kuvailu" /></div>
        </xsl:if>   	    
	</xsl:template>
	
	<xsl:template name="categories">
	    <div class="itemcategories">
    	    <xsl:apply-templates mode="root" select="/rdf:RDF/ogt:Facet[ogt:facetSelector/@rdf:resource='&query;roots']/ogt:subCategories"/>
	    </div>
    </xsl:template>
    
    <xsl:template match="ogt:Category" mode="root">
        <xsl:variable name="catid" select="@ogt:catid"/>
        <xsl:if test="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/bm:hasTopic/ogt:Category[ogt:hasRoot/ogt:Category/@ogt:catid=$catid]">
            <div class="facet">
                <div class="itemfacetheaderC{descendant-or-self::fms:rootcatid}">
                    <div class="root"><xsl:value-of select="@rdfs:label"/>:</div>
                    <ul class="categorylist">
    					<xsl:apply-templates mode="category" select="/rdf:RDF/ogt:Facet/ogt:topicOf/bm:Bookmark/bm:hasTopic/ogt:Category[ogt:hasRoot/ogt:Category/@ogt:catid=$catid]"/>
                	</ul>
                </div>
            </div>
        </xsl:if>            
    </xsl:template>

    <xsl:template match="ogt:Category" mode="category">
        <li class="categorylistitem">
            <xsl:apply-templates mode="path" select="ogt:hasRoot/ogt:Category/ogt:subCategories/ogt:Category">
                <xsl:with-param name="isFirst">true</xsl:with-param>
            </xsl:apply-templates>
            <div class="topic">
                <xsl:if test="ogt:hasRoot/ogt:Category/ogt:subCategories/ogt:Category">
                    &gt;
                </xsl:if>
				<a href="&main;{$prefs}&amp;n={java:net.URLEncoder.encode(@ogt:catid)}&amp;g=c{java:net.URLEncoder.encode(@ogt:catid)}">
					<xsl:value-of select="@rdfs:label"/>
				</a>
                <span class="hits">
                    <xsl:text> (</xsl:text><xsl:value-of select="ogt:bookmarkHits"/><xsl:text>)</xsl:text>
                </span>
            </div>
        </li>
    </xsl:template>
        
        <!-- Path with every category selectable -->
    <xsl:template match="ogt:Category" mode="path">
        <xsl:param name="isFirst"/>
        <div class="topicPath">
            <xsl:if test="not($isFirst)">
                &gt;
            </xsl:if>
            <a href="&main;{$prefs}&amp;n={java:net.URLEncoder.encode(@ogt:catid)}&amp;g=c{java:net.URLEncoder.encode(@ogt:catid)}">
                <xsl:value-of select="@rdfs:label"/>
            </a>
            <span class="hits">
                <xsl:text> (</xsl:text><xsl:value-of select="ogt:bookmarkHits"/><xsl:text>)</xsl:text>
            </span>
        </div>
		<xsl:apply-templates mode="path" select="ogt:subCategories"/>
    </xsl:template>

	<xsl:template name="links">
		<xsl:for-each select="/rdf:RDF/rdf:Description/swhg:relations/swhg:RelationGroup">
			<div class="links">
				<div class="linkClass"><xsl:value-of select="rdfs:label"/></div>
				<xsl:call-template name="linkProperty" />
			</div>
		</xsl:for-each>
	</xsl:template>

	<xsl:template name="linkProperty">
		<xsl:for-each select="swhg:relations/swhg:RelationGroup[swhg:relations/swhg:relation]">
			<div class="linkProperty">
					<div class="linkPropertyName"><xsl:value-of select="rdfs:label" />: </div>
					<ul class="linklist">
					    <xsl:apply-templates select="swhg:relations/swhg:relation[position()&lt;6]"/>
					</ul>
			</div>
		</xsl:for-each>
	</xsl:template>
	
	<xsl:template match="swhg:relation">
	    <li><a href="&item;{$ustate}{$groupBy}{$csstate}&amp;sb={java:net.URLEncoder.encode(@swhg:target)}"><xsl:value-of select="rdfs:label" /></a></li>
    </xsl:template>

</xsl:stylesheet>