<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY bm "http://www.w3.org/2002/01/bookmark#">
    <!ENTITY fms "http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-esinekortti#">
    <!ENTITY html "http://www.w3.org/1999/xhtml"> 
    <!ENTITY java "java">
    <!ENTITY ogt "http://www.cs.helsinki.fi/group/seco/ns/2004/03/ontogator#">
    <!ENTITY owl "http://www.w3.org/2002/07/owl#"> 
    <!ENTITY rdf "http://www.w3.org/1999/02/22-rdf-syntax-ns#">
    <!ENTITY rdfs "http://www.w3.org/2000/01/rdf-schema#"> 
    <!ENTITY swhg "http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-sewehgrius#">
    <!ENTITY ui "http://www.cs.helsinki.fi/group/seco/ns/2004/03/ustate#"> 
    <!ENTITY uim "UIManager"> 
    <!ENTITY xsd "http://www.w3.org/2000/10/XMLSchema#"> 
    <!ENTITY xsl "http://www.w3.org/1999/XSL/Transform">
    <!ENTITY i18n "http://apache.org/cocoon/i18n/2.1">
    <!ENTITY query "http://museosuomi.cs.helsinki.fi/internal/ogtQuery#">
    <!ENTITY page "http://apache.org/cocoon/paginate/1.0">
    <!ENTITY muinainen "http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-muinainen#">
    <!ENTITY item "item?">
    <!ENTITY items "items?">
    <!ENTITY tree "tree?">
    <!ENTITY home "?">
    <!ENTITY main "/?">
    <!ENTITY mobile "mobile?">
    <!ENTITY mobiletree "mobiletree?">
    <!ENTITY mobileitem "mobileitem?">
    <!ENTITY mobilemail "mobilemail?">
    <!ENTITY muin "muinainen?">
    <!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:html="&html;" xmlns:java="&java;" xmlns:ogt="&ogt;" xmlns:owl="&owl;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:swhg="&swhg;" xmlns:ui="&ui;" xmlns:uim="&uim;" xmlns:xsd="&xsd;" xmlns:xsl="&xsl;" xmlns:i18n="&i18n;" xmlns:query="&query;">
    <xsl:variable name="prefs">
        <xsl:text>l=</xsl:text><xsl:value-of select="/rdf:RDF/ui:UState/ui:language"/>
        <xsl:text>&amp;m=</xsl:text><xsl:value-of select="/rdf:RDF/ui:UState/ui:mode"/>
    </xsl:variable>
    
    <xsl:template name="fprefs">
        <input type="hidden" name="l" value="{/rdf:RDF/ui:UState/ui:language}"/>
        <input type="hidden" name="m" value="{/rdf:RDF/ui:UState/ui:mode}"/>
    </xsl:template>
    
    <xsl:variable name="cstate">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:category[@ui:selected = 'true']">
            <xsl:text>&amp;c=</xsl:text>
            <xsl:value-of select="java:net.URLEncoder.encode(@ui:catid)"/>
        </xsl:for-each>
	</xsl:variable>

    <xsl:template name="fcstate">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:category[@ui:selected = 'true']">
            <input type="hidden" name="c" value="{@ui:catid}"/>
        </xsl:for-each>
    </xsl:template>
    
    <xsl:variable name="lstate">
        <xsl:if test="/rdf:RDF/ui:UState/ui:coordinates">
            <xsl:text>&amp;x=</xsl:text>
            <xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:x"/>
            <xsl:text>&amp;y=</xsl:text>
            <xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:y"/>
        </xsl:if>
    </xsl:variable>

    <xsl:template name="flstate">
        <xsl:if test="/rdf:RDF/ui:UState/ui:coordinates">
            <input type="hidden" name="x" value="{/rdf:RDF/ui:UState/ui:coordinates/@ui:x}"/>
            <input type="hidden" name="y" value="{/rdf:RDF/ui:UState/ui:coordinates/@ui:y}"/>
        </xsl:if>
    </xsl:template>
	
    <xsl:variable name="pstate">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:projectedFrom">
            <xsl:text>&amp;p=</xsl:text>
            <xsl:value-of select="java:net.URLEncoder.encode(@rdf:resource)"/>
        </xsl:for-each>
	</xsl:variable>

    <xsl:template name="fpstate">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:projectedFrom">
            <input type="hidden" name="p" value="{@rdf:resource}"/>
        </xsl:for-each>
    </xsl:template>
    
    <xsl:variable name="gBy">
        <xsl:choose>
            <xsl:when test="/rdf:RDF/ui:UState/ui:groupBy/@ui:projectedFrom">
                <xsl:text>&amp;g=p</xsl:text>
                <xsl:value-of select="java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:groupBy/@ui:projectedFrom)"/>
            </xsl:when>
            <xsl:when test="/rdf:RDF/ui:UState/ui:groupBy/@ui:catid">
                <xsl:text>&amp;g=c</xsl:text>
                <xsl:value-of select="java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:groupBy/@ui:catid)"/>
            </xsl:when>
            <xsl:when test="/rdf:RDF/ui:UState/ui:groupBy/@ui:keyword">
                <xsl:text>&amp;g=k</xsl:text>
                <xsl:value-of select="java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:groupBy/@ui:keyword)"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:text>&amp;g=</xsl:text>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:variable>
    
    <xsl:variable name="groupBy">
        <xsl:value-of select="$gBy"/>
        <xsl:if test="/rdf:RDF/ui:UState/ui:skipCategories">
            <xsl:text>&amp;skc=</xsl:text>
            <xsl:value-of select="/rdf:RDF/ui:UState/ui:skipCategories"/>
        </xsl:if>
    </xsl:variable>
    
    <xsl:template name="fgBy">
        <xsl:choose>
            <xsl:when test="/rdf:RDF/ui:UState/ui:groupBy/@ui:catid">
                <input type="hidden" name="g" value="c{/rdf:RDF/ui:UState/ui:groupBy/@ui:catid}"/>
            </xsl:when>
            <xsl:when test="/rdf:RDF/ui:UState/ui:groupBy/@ui:keyword">
                <input type="hidden" name="g" value="k{/rdf:RDF/ui:UState/ui:groupBy/@ui:keyword}"/>
            </xsl:when>
            <xsl:otherwise>
                <input type="hidden" name="g" value=""/>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template name="fgroupBy">
        <xsl:call-template name="fgBy"/>
        <xsl:if test="/rdf:RDF/ui:UState/ui:skipCategories">
                <input type="hidden" name="skc" value="{/rdf:RDF/ui:UState/ui:skipCategories}"/>
        </xsl:if>
    </xsl:template>
    
    <xsl:variable name="keywords">
        <xsl:if test="/rdf:RDF/ui:UState/ui:keyword">
            <xsl:for-each select="/rdf:RDF/ui:UState/ui:keyword">
                <xsl:value-of select="text()"/>
                <xsl:if test="not(position() = last())">
                    <xsl:text> </xsl:text>
                </xsl:if>
            </xsl:for-each>
        </xsl:if>
    </xsl:variable>

    <xsl:variable name="kstate">
        <xsl:if test="/rdf:RDF/ui:UState/ui:keyword">
            <xsl:text>&amp;k=</xsl:text>
            <xsl:value-of select="java:net.URLEncoder.encode($keywords)"/>
        </xsl:if>
    </xsl:variable>

    <xsl:template name="fkstate">
        <xsl:if test="/rdf:RDF/ui:UState/ui:keyword">
            <input type="hidden" name="k" value="{$keywords}"/>
        </xsl:if>
    </xsl:template>
    
    <xsl:variable name="tstate">
        <xsl:if test="/rdf:RDF/ui:UState/ui:showTree">
            <xsl:text>&amp;t=</xsl:text>
            <xsl:value-of select="java:net.URLEncoder.encode(/rdf:RDF/ui:UState/ui:showTree/@ui:catid)"/>
        </xsl:if>
    </xsl:variable>
    
    <xsl:template name="ftstate">
        <xsl:if test="/rdf:RDF/ui:UState/ui:showTree">
            <input type="hidden" name="t" value="{/rdf:RDF/ui:UState/ui:showTree/@ui:catid}"/>
        </xsl:if>
    </xsl:template>
    
    <xsl:variable name="ustate">
        <xsl:value-of select="$prefs" />
        <xsl:value-of select="$cstate" />
        <xsl:value-of select="$pstate" />
        <xsl:value-of select="$kstate" />
        <xsl:value-of select="$lstate" />
    </xsl:variable>

    <xsl:template name="fustate">
        <xsl:call-template name="fprefs" />
        <xsl:call-template name="fcstate" />
        <xsl:call-template name="fpstate" />
        <xsl:call-template name="fkstate" />
        <xsl:call-template name="flstate" />
    </xsl:template>
    
    <xsl:variable name="csstate">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:skipBookmarks">
             <xsl:text>&amp;skb=</xsl:text>
             <xsl:value-of select="java:net.URLEncoder.encode(@ui:category)"/>
             <xsl:text>:</xsl:text>
             <xsl:value-of select="@ui:limit"/>
        </xsl:for-each>
    </xsl:variable>

    <xsl:variable name="fcsstate">
        <xsl:for-each select="/rdf:RDF/ui:UState/ui:skipBookmarks">
             <input type="hidden" name="skb" value="{java:net.URLEncoder.encode(@ui:category)}:{@ui:limit}"/>
        </xsl:for-each>
    </xsl:variable>
    
    <xsl:template name="getLabel">
        <xsl:param name="node" select="."/>
        <xsl:choose>
            <xsl:when test="$node/@rdfs:label">
                <xsl:value-of select="$node/@rdfs:label"/>
            </xsl:when>
            <xsl:otherwise>?</xsl:otherwise>
        </xsl:choose>
    </xsl:template>
    
    <xsl:template name="searchHeader">
        <xsl:call-template name="title"/>
        <xsl:call-template name="actions">
			<xsl:with-param name="page">search</xsl:with-param>
		</xsl:call-template>
    </xsl:template>

    <xsl:template name="mobileSearchHeader">
        <xsl:choose>
            <xsl:when test="/rdf:RDF/ui:UState/ui:mailedTo/@ui:status='ok'">
                Kirjanmerkkiviesti lähetetty osoitteeseen <xsl:value-of select="/rdf:RDF/ui:UState/ui:mailedTo"/>.
            </xsl:when>
            <xsl:when test="/rdf:RDF/ui:UState/ui:mailedTo">
                Kirjanmerkkiviestin lähettäminen osoitteeseen <xsl:value-of select="/rdf:RDF/ui:UState/ui:mailedTo"/> epäonnistui: <xsl:value-of select="/rdf:RDF/ui:UState/ui:mailedTo/@ui:status"/>
            </xsl:when>
        </xsl:choose>
    </xsl:template>
    
	<xsl:template name="itemHeader">
        <xsl:call-template name="title"/>
        <xsl:call-template name="actions">
			<xsl:with-param name="page">item</xsl:with-param>
		</xsl:call-template>
    </xsl:template>
	
    <xsl:template name="treeHeader">
        <xsl:call-template name="title"/>
        <xsl:call-template name="actions">
			<xsl:with-param name="page">tree</xsl:with-param>
		</xsl:call-template>
    </xsl:template>

    <xsl:template name="title">
        <div align="center" width="100%" style="width: 100%;">
            <a href="http://www.hiit.fi">
                <img alt="Tietojenkäsittelytieteen tutkimuslaitos HIIT" id="hiitlogo" src="content/images/hiit.gif" height="75" border="0"/>
            </a>
            <a href="http://www.cs.helsinki.fi/group/seco/">
                <img alt="Helsingin yliopiston tietojenkäsittelytieteen laitos" id="hylogo" src="content/images/hy.gif" height="75" border="0"/>
            </a>
            <h1 id="title">
                <a href="&main;{$prefs}{$cstate}{$lstate}{$kstate}{$groupBy}{$pstate}{$csstate}" id="titlespan"><i18n:text>MuseoSuomi</i18n:text></a>
            </h1>
            <h4 id="subtitle">
                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
                <i18n:text>Suomen museot semanttisessa webissä</i18n:text>
                &nbsp;-&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            </h4>
        </div>
    </xsl:template>
    
    <xsl:template name="mobileTitle">
        <div align="center" width="100%" style="width: 100%;">
            <h1 id="title">
                <i18n:text>MuseoSuomi</i18n:text>
            </h1>
            <h4 id="subtitle">
                <i18n:text>Suomen museot semanttisessa webissä</i18n:text>
            </h4>
        </div>
        
    </xsl:template>
    
    <xsl:template name="actions">
		<xsl:param name="page">search</xsl:param>
        <div class="actions" align="center">
            <span class="action">
                <a href="&main;{$prefs}">Uusi haku</a> 
            </span>

			<xsl:if test="$page = 'tree' or $page = 'item'">
				<xsl:text> | </xsl:text>
				<span class="action">
					<a href="&main;{$prefs}{$cstate}{$lstate}{$kstate}{$groupBy}{$pstate}{$csstate}">
						Takaisin hakusivulle
					</a>
				</span>
			</xsl:if>
			
			<xsl:text> | </xsl:text>
            <span class="action">
                <a href="http://www.cs.helsinki.fi/group/seco/museosuomi/kaytto-ohje.html">Ohjeet</a>
            </span>
            
			<xsl:if test="$page = 'tree' or $page = 'search'">
				<xsl:text> | </xsl:text>
				<xsl:choose>
					<xsl:when test="ui:UState/ui:mode ='0'">
						<span class="action">
							<a href="?l={ui:UState/ui:language}&amp;m=1{$cstate}{$lstate}{$kstate}{$tstate}{$groupBy}">
								Näytä kaikki kategoriat
							</a>
						</span>
					</xsl:when>
					<xsl:otherwise>
						<span class="action">
							<a href="?l={ui:UState/ui:language}&amp;m=0{$cstate}{$lstate}{$kstate}{$tstate}{$groupBy}">
								Piilota tyhjät kategoriat
							</a>
						</span>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:if>

            <xsl:text> | </xsl:text>

            <span class="action">
                <a href="http://www.cs.helsinki.fi/group/seco/museosuomi/">Tietoa ohjelmasta</a>
            </span>

            <xsl:text> | </xsl:text>

            <span class="action">
                <a href="mailto:museosuomi@cs.helsinki.fi">MuseoSuomi-palaute</a>
            </span>

            </div>
    </xsl:template>

    <xsl:template name="constraints">
		<xsl:if test="/rdf:RDF/ui:UState/ui:showBookmarks[text() = 'true']">
			<div id="constraints">
				<h4>Hakuehdot</h4>
				<xsl:for-each select="/rdf:RDF/ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;p')]">
					<div class="constraintContainerProjectionOf">
						<span class="constraintProjectionOf">
							<b><xsl:text>Liittyy </xsl:text>
							<xsl:choose>
                                <xsl:when test="starts-with(ogt:facetSelector/@rdfs:label,'http://www.cs.helsinki.fi/group/seco/ns/2004/03/18-paikat')">
                                  <xsl:text>paikkaan: </xsl:text>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:text>ontologialuokkaan: </xsl:text>
                                </xsl:otherwise>
                            </xsl:choose>
                            </b>
							<xsl:apply-templates mode="projectedFromPath" select="ogt:subCategories/ogt:Category[1]/ogt:hasRoot/ogt:Category/ogt:subCategories/ogt:Category"/>
							<span class="selected">
								<xsl:value-of select="ogt:subCategories/ogt:Category/@rdfs:label"/>
							</span>
							&nbsp;
							<xsl:call-template name="groupBy">
								<xsl:with-param name="mode">p</xsl:with-param>
								<xsl:with-param name="id" select="java:net.URLEncoder.encode(substring-after(ogt:facetSelector/@rdf:resource,'&query;p'))"/>
							</xsl:call-template>
							<xsl:call-template name="remove">
								<xsl:with-param name="action" select="concat('&home;', $prefs, $cstate, $lstate, $pstate, $kstate, $tstate, '&amp;rp=', java:net.URLEncoder.encode(substring-after(ogt:facetSelector/@rdf:resource,'&query;p')))"/>
							</xsl:call-template>
						</span>
					</div>
				</xsl:for-each>
				<xsl:for-each select="/rdf:RDF/ui:UState/ui:keyword">
					<div class="constraintContainerKeyword">
						<span class="constraintKeyword">
							<b><xsl:text>Hakusana: </xsl:text></b>
							<span class="keyword"><xsl:value-of select="text()"/></span>
							&nbsp;
							<xsl:call-template name="groupBy">
								<xsl:with-param name="mode">k</xsl:with-param>
								<xsl:with-param name="id" select="text()"/>
							</xsl:call-template>
							<xsl:call-template name="remove">
								<xsl:with-param name="action" select="concat('&home;', $prefs, $cstate, $lstate, $pstate, $kstate, $tstate, '&amp;rk=', text())"/>
							</xsl:call-template>
						</span>
					</div>
				</xsl:for-each>
				<xsl:for-each select="/rdf:RDF/ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;s')]/ogt:subCategories/ogt:Category">
					<xsl:variable name="catid">
						<xsl:value-of select="@ogt:catid"/>
					</xsl:variable>
					<div class="constraintContainerC{descendant-or-self::fms:rootcatid}">
						<span class="constraintC{descendant-or-self::fms:rootcatid}">
							<b><xsl:text>Kategoria: </xsl:text></b>
							<xsl:apply-templates mode="simplePath" select="ogt:hasRoot/ogt:Category"/>
							<span class="selected">
								<xsl:value-of select="@rdfs:label"/>
							</span>
							&nbsp;
							<xsl:call-template name="groupBy">
								<xsl:with-param name="mode">c</xsl:with-param>
								<xsl:with-param name="id" select="$catid"/>
							</xsl:call-template>
							<xsl:call-template name="remove">
								<xsl:with-param name="action" select="concat('&home;', $prefs, $cstate, $lstate, $pstate, $kstate, $tstate, '&amp;rc=', java:net.URLEncoder.encode($catid))"/>
							</xsl:call-template>
						</span>
					</div>
				</xsl:for-each>
				<xsl:if test="/rdf:RDF/ui:UState/ui:coordinates">
					<div class="constraintContainerKeyword">
						<span class="constraintKeyword">
							<b>Liittyy koordinaatteja x=<xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:x"/>, y=<xsl:value-of select="/rdf:RDF/ui:UState/ui:coordinates/@ui:y"/> lähellä sijaitseviin paikkoihin</b>
							&nbsp;
							<xsl:call-template name="groupBy">
								<xsl:with-param name="mode">l</xsl:with-param>
								<xsl:with-param name="id" select="''"/>
							</xsl:call-template>
							<xsl:call-template name="remove">
								<xsl:with-param name="action" select="concat('&home;', $prefs, $cstate, $pstate, $kstate, $tstate)"/>
							</xsl:call-template>
						</span>
			    	</div>
				</xsl:if>
			</div>
		</xsl:if>
    </xsl:template>
    
    <!-- Simple path -->
    <xsl:template match="ogt:Category" mode="simplePath">
        <xsl:value-of select="@rdfs:label"/>
        &gt;
        <xsl:apply-templates mode="simplePath" select="ogt:subCategories/ogt:Category"/>
    </xsl:template>

    <xsl:template name="remove">
        <xsl:param name="action"/>
        <span class="remove">
            (<a href="{$action}">poista</a>)
        </span>
    </xsl:template>

    <xsl:template name="groupBy">
        <xsl:param name="mode"/>
        <xsl:param name="id"/>
        <span class="groupBy">
            (<a href="&home;{$prefs}{$cstate}{$pstate}{$kstate}{$lstate}&amp;g={$mode}{java:net.URLEncoder.encode($id)}#tulokset">ryhmittele kohteet</a>)
        </span>
    </xsl:template>
    
    <xsl:template name="categoryPagination">
        <xsl:param name="isRoot" select="false"/>
        <div align="center" class="pagination">
            <xsl:text>(</xsl:text>
            <xsl:choose>
                <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories &gt; /rdf:RDF/ui:UState/ui:maxGroups">
                    <a href="&home;{$ustate}{$gBy}&amp;skc={/rdf:RDF/ui:UState/ui:skipCategories - /rdf:RDF/ui:UState/ui:maxGroups}">edellinen</a>
                </xsl:when>
                <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories">
                    <a href="&home;{$ustate}{$gBy}">edellinen</a>
                </xsl:when>
                <xsl:otherwise>
                    <span class="inactive">edellinen</span>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:text>) / (</xsl:text>
            <xsl:choose>
                <xsl:when test="/rdf:RDF/ui:UState/ui:skipCategories">
                    <xsl:choose>
                        <xsl:when test="(not($isRoot) and (count(ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) &gt; /rdf:RDF/ui:UState/ui:maxGroups or (ogt:topicOf/bm:Bookmark and count(ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) = /rdf:RDF/ui:UState/ui:maxGroups))) or ($isRoot and (count(ogt:subCategories/ogt:Category) &gt; /rdf:RDF/ui:UState/ui:maxGroups or (ogt:topicOf/bm:Bookmark and count(ogt:subCategories/ogt:Category) = /rdf:RDF/ui:UState/ui:maxGroups)))">
                            <a href="&home;{$ustate}{$gBy}&amp;skc={/rdf:RDF/ui:UState/ui:skipCategories + /rdf:RDF/ui:UState/ui:maxGroups}">seuraava</a>
                        </xsl:when>
                        <xsl:otherwise>
                           <span class="inactive">seuraava</span>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:when>
                <xsl:otherwise>
                    <xsl:choose>
                        <xsl:when test="(not($isRoot) and (count(ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) &gt; /rdf:RDF/ui:UState/ui:maxGroups or (ogt:topicOf/bm:Bookmark and count(ogt:subCategories/ogt:Category/ogt:subCategories/ogt:Category) = /rdf:RDF/ui:UState/ui:maxGroups))) or ($isRoot and (count(ogt:subCategories/ogt:Category) &gt; /rdf:RDF/ui:UState/ui:maxGroups or (ogt:topicOf/bm:Bookmark and count(ogt:subCategories/ogt:Category) = /rdf:RDF/ui:UState/ui:maxGroups)))">
                            <a href="&home;{$ustate}{$gBy}&amp;skc={/rdf:RDF/ui:UState/ui:maxGroups}">seuraava</a>
                        </xsl:when>
                        <xsl:otherwise>
                           <span class="inactive">seuraava</span>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:otherwise>
            </xsl:choose>
            <xsl:text>)</xsl:text>
        </div>
    </xsl:template>
    
    <xsl:template name="pagination">
		<xsl:param name="category" select="."/>
		<xsl:param name="current" select="/rdf:RDF/ui:UState/ui:skipBookmarks[@ui:category=$category/@ogt:catid]/@ui:limit"/>
		<xsl:param name="amount" select="/rdf:RDF/ui:UState/ui:maxBookmarks"/>
		<xsl:param name="maxBookmarks" select="$category/ogt:bookmarkHits"/>
    			 <div align="right" class="pagination">
                    <xsl:text>(</xsl:text>
                    <xsl:choose>
                        <xsl:when test="$current">
                            <a href="&home;{$ustate}{$csstate}{$groupBy}&amp;nskb={java:net.URLEncoder.encode($category/@ogt:catid)}:{$current - $amount}#bg{java:net.URLEncoder.encode(translate($category/@ogt:catid,'%','_'))}">edellinen</a>
                        </xsl:when>
                        <xsl:otherwise>
                            <span class="inactive">edellinen</span>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:text>) / (</xsl:text>
                    <xsl:choose>
                        <xsl:when test="$current">
                            <xsl:choose>
                                <xsl:when test="$current + $amount &lt; $category/ogt:bookmarkHits">
                                    <a href="&home;{$ustate}{$csstate}{$groupBy}&amp;nskb={java:net.URLEncoder.encode($category/@ogt:catid)}:{$current + $amount}#bg{java:net.URLEncoder.encode(translate($category/@ogt:catid,'%','_'))}">seuraava</a>
                                </xsl:when>
                                <xsl:otherwise>
                                    <span class="inactive">seuraava</span>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:choose>
                                <xsl:when test="$amount &lt; $maxBookmarks">
                                    <a href="&home;{$ustate}{$csstate}{$groupBy}&amp;nskb={java:net.URLEncoder.encode($category/@ogt:catid)}:{$amount}#bg{java:net.URLEncoder.encode(translate($category/@ogt:catid,'%','_'))}">seuraava</a>
                                </xsl:when>
                                <xsl:otherwise>
                                    <span class="inactive">seuraava</span>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:text>)</xsl:text>
                 </div>
    </xsl:template>

    <xsl:template match="ogt:Category" mode="projectedFromPath">
        <a href="&home;{$prefs}{$lstate}{$cstate}{$kstate}&amp;p={java:net.URLEncoder.encode(ogt:projectionOf/@rdf:resource)}&amp;g=p{java:net.URLEncoder.encode(ogt:projectionOf/@rdf:resource)}">
            <xsl:value-of select="@rdfs:label"/>
        </a> &gt;
        <xsl:apply-templates mode="projectedFromPath" select="ogt:subCategories"/>
    </xsl:template>
    
    <xsl:template name="highlightKeyword">
        <xsl:param name="label"/>
        <xsl:param name="keyword"/>
        <xsl:param name="class">keywordMatch</xsl:param>
        <xsl:value-of select="substring($label,1,string-length(substring-before(translate($label,$uc,$lc),translate($keyword,$uc,$lc))))"/>
        <span class="keywordMatch"><xsl:value-of select="substring($label,string-length(substring-before(translate($label,$uc,$lc),translate($keyword,$uc,$lc)))+1,string-length($keyword))"/></span>
        <xsl:value-of select="substring($label,string-length(substring-before(translate($label,$uc,$lc),translate($keyword,$uc,$lc)))+string-length($keyword)+1)"/>    
    </xsl:template>
        
    <xsl:variable name="uc">ABCDEFGHIJKLMNOPQRSTUVWXYZÅÄÖ</xsl:variable>
    <xsl:variable name="lc">abcdefghijklmnopqrstuvwxyzåäö</xsl:variable>
        
</xsl:stylesheet>