<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY % fmsentities PUBLIC
   "Museosuomi//ENTITIES Namespaces//EN//XML"
   "fmsentities.pen">
   %fmsentities;
]>
<!--

    File CVS Id: $Id: mobileTree.xslt,v 1.4 2004/03/19 12:37:03 jiemakel Exp $   
    This file is created by the Semantic Computing Research Group as a
    part of the Semantic Web project in 2002-2004 at Helsinki Institute
    for Information Technology (HIIT) and University of Helsinki.

    Group homepage: http://www.cs.helsinki.fi/group/seco/

-->

<xsl:stylesheet version="1.0" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:html="&html;" xmlns:java="&java;" xmlns:ogt="&ogt;" xmlns:owl="&owl;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:swhg="&swhg;" xmlns:ui="&ui;" xmlns:uim="&uim;" xmlns:xsd="&xsd;" xmlns:xsl="&xsl;" xmlns:i18n="&i18n;" xmlns:query="&query;">
    <xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="iso-8859-1" indent="yes" media-type="text/xml" method="xml" omit-xml-declaration="no" standalone="yes" version="1.0"/>

	<xsl:include href="xhtmlHelper.xslt" />

    <xsl:template match="rdf:RDF">
        <html xmlns="http://www.w3.org/1999/xhtml">
            <head>
                <title><i18n:text>MuseoSuomi</i18n:text></title>
                <meta content="text/html;charset=ISO-8859-1" http-equiv="Content-Type"/>
                <meta content="text/css" http-equiv="Content-Style-Type"/>
                <meta content="Semantic Web" name="description" i18n:attr="content" />
                <meta content="Semantic web, fmsweb" name="keywords" i18n:attr="content" />
<!--                <link href="/content/stylesheets/mobile.css" rel="stylesheet" title="FMS-stylesheet basic" type="text/css"/> -->
                <style>
                    body {
                        font-size:medium;
                    }
                    h3,h4 {
                        font-size:large;
                        font-weight:bold;
                    }
.actions
{
    margin-top: 8pt;
    margin-bottom: 5pt;
    text-align:center;
    width:100%;
}
                    
.pagination, .groupBy, .showAll, .remove, .showTree, .action, .more
{
    color: black;
    font-weight: bold;
    font-size: medium;
    text-decoration: none;
    margin: 0pt;
}

.pagination :link, .groupBy :link, .showAll :link, .remove :link, .showTree :link, .action :link, .more :link,
.pagination :visited, .groupBy :visited, .showAll :visited, .remove :visited, .showTree :visited, .action :visited, .more :visited
{
    font-weight: bold;
    font-size: medium;
    color: #048;
    text-decoration: none;
}

.pagination :hover, .groupBy :hover, .showAll :hover, .remove :hover, .showTree :hover, .action :hover
{
    color: #06c;
    text-decoration: underline;
}
.filtered
{
    color: gray;
    font-size:medium;
}
.header 
{
    width: 100%;
    background-color: #abb;
    clear: both;
}
.constraintContainer
{
    border-width: thin;
    border-color: black;
    border-style: solid;
    background-color: #abb;
}
                </style>
            </head>
            <body>
            <xsl:call-template name="mobileSearchHeader"/>
        <xsl:call-template name="constraints"/>
                <xsl:apply-templates mode="root" select="ogt:Facet[starts-with(ogt:facetSelector/@rdf:resource, '&query;c')]/ogt:subCategories/ogt:Category" />
        <hr/>
        <span class="action"><a href="&mobilemail;{$ustate}{$groupBy}{$tstate}&amp;last=tree">Lähetä nykyinen sivu ja haku sähköpostilla</a></span>
            </body>
        </html>
    </xsl:template>
    <xsl:template name="form_buttons">
        <input class="reset_button" type="submit" value="Hae" i18n:attr="value" />
        <input class="reset_button" type="reset" value="Tyhjennä" i18n:attr="value" />
    </xsl:template>
    <xsl:template match="@*|node()" mode="copy">
        <xsl:copy>
            <xsl:apply-templates mode="copy" select="@*|node()"/>
        </xsl:copy>
    </xsl:template>

    <!-- CategorySearch components -->
    <xsl:template match="ogt:Category" mode="root">
        <h3 id="otsikko">Kategoria: <i><xsl:apply-templates mode="rootpath" select="ogt:hasRoot/ogt:Category"/><xsl:value-of select="@rdfs:label"/></i></h3>
            <xsl:choose>
                <xsl:when test="/rdf:RDF/ui:UState/ui:treeSkipCategories">
                    <ul>
                        <xsl:apply-templates select="ogt:subCategories/ogt:Category[count(preceding-sibling::node()/descendant::ogt:Category)&gt;=/rdf:RDF/ui:UState/ui:treeSkipCategories and count(preceding-sibling::node()/descendant::ogt:Category)&lt;25+/rdf:RDF/ui:UState/ui:treeSkipCategories]" mode="category"/>
                    </ul>
                    <xsl:apply-templates select="ogt:subCategories/ogt:Category[count(preceding-sibling::node()/descendant::ogt:Category)&gt; /rdf:RDF/ui:UState/ui:treeSkipCategories+25][position()=1]" mode="seuraava"/>
                </xsl:when>
                <xsl:otherwise>
                    <ul>
                        <xsl:apply-templates select="ogt:subCategories/ogt:Category[count(preceding-sibling::node()/descendant::ogt:Category)&lt;25]" mode="category"/>
                    </ul>
                    <xsl:apply-templates select="ogt:subCategories/ogt:Category[count(preceding-sibling::node()/descendant::ogt:Category)&gt; 25][position()=1]" mode="seuraava"/>
                </xsl:otherwise>
            </xsl:choose>
    </xsl:template>
    
    <xsl:template match="ogt:Category" mode="seuraava">
        <span class="action"><a href="&mobiletree;{$ustate}{$tstate}&amp;tsk={count(preceding-sibling::node()/descendant::ogt:Category)}">seuraavat</a></span>
    </xsl:template>

    <xsl:template match="ogt:Category" mode="rootpath">
        <a href="&tree;{$prefs}{$cstate}{$kstate}&amp;t={java:net.URLEncoder.encode(@ogt:catid)}&amp;rc={java:net.URLEncoder.encode(@ogt:catid)}">
            <xsl:value-of select="@rdfs:label"/>
        </a> &gt;
        <xsl:apply-templates mode="path" select="ogt:subCategories"/>
    </xsl:template>

    <xsl:template match="ogt:Category" mode="path">
        <a href="&mobiletree;{$prefs}{$cstate}{$kstate}&amp;t={java:net.URLEncoder.encode(@ogt:catid)}&amp;n={java:net.URLEncoder.encode(@ogt:catid)}">
            <xsl:value-of select="@rdfs:label"/>
        </a> &gt;
        <xsl:apply-templates mode="path" select="ogt:subCategories"/>
    </xsl:template>

    <xsl:template match="ogt:Category" mode="top">
<!--	    <xsl:if test="">
           <xsl:apply-templates select="." mode="category"/>
        </xsl:if> -->
    </xsl:template>
    
    <xsl:template match="ogt:Category" mode="category">
		<li>
			<xsl:choose>
				<xsl:when test="ogt:bookmarkHits > 0">
					<a href="&main;{$ustate}&amp;n={java:net.URLEncoder.encode(@ogt:catid)}&amp;g=c{java:net.URLEncoder.encode(@ogt:catid)}">
						<xsl:call-template name="getLabel"/>
					</a> 
                    <span class="hits">
                        (<xsl:value-of select="ogt:bookmarkHits" />)
                    </span>
				</xsl:when>
				<xsl:otherwise>
					<span style="color: gray;">
						<xsl:call-template name="getLabel"/>
					</span>
				</xsl:otherwise>
			</xsl:choose>
            <xsl:if test="ogt:subCategories/ogt:Category">
                <ul>
                <xsl:apply-templates select="ogt:subCategories/ogt:Category" mode="category"/>
                </ul>
            </xsl:if>
        </li>
        
        
    </xsl:template>
</xsl:stylesheet>
