<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY % fmsentities PUBLIC
   "Museosuomi//ENTITIES Namespaces//EN//XML"
   "fmsentities.pen">
   %fmsentities;
]><!--

    File CVS Id: $Id: ogtSearchQuery.xslt,v 1.10 2004/03/19 12:37:03 jiemakel Exp $   
	This file is created by the Semantic Computing Research Group as a
	part of the Semantic Web project in 2002-2004 at Helsinki Institute
	for Information Technology (HIIT) and University of Helsinki.

	Group homepage: http://www.cs.helsinki.fi/group/seco/

	Short description of this file:
	XSLT-stylesheet to transform user state and roots into query to Ontogator.

        Change history (mailto: samppa.saarela@cs.helsinki.fi):

	10.11.2003 ssaarela  finished first draft version 0.1 of this file.
        only category hierarchy implemented
-->
<xsl:stylesheet version="1.0" xmlns:bm="&bm;" xmlns:fms="&fms;" xmlns:ogt="&ogt;" xmlns:swhg="&swhg;" xmlns:rdf="&rdf;" xmlns:rdfs="&rdfs;" xmlns:ui="&ui;" xmlns:xsd="http://www.w3.org/2000/10/XMLSchema#" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
	<xsl:output doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" encoding="iso-8859-1" indent="yes" media-type="text/xml" method="xml" omit-xml-declaration="no" standalone="yes" version="1.0"/>
-->
    <xsl:include href="ogtHelper.xslt"/>
    
    <xsl:template match="/rdf:RDF/ui:UState">
        <rdf:RDF xmlns="&ogt;" xmlns:bm="&bm;" xmlns:ogt="&ogt;" xmlns:rdf="&rdf;" xmlns:fms="&fms;" xmlns:rdfs="&rdfs;">
            <xsl:for-each select="ui:category[@ui:selected = 'true']">
                <xsl:call-template name="constraints"/>
            </xsl:for-each>
            <xsl:for-each select="ui:category">
                <xsl:call-template name="category"/>
            </xsl:for-each>
            <xsl:for-each select="ui:projectedFrom">
                <xsl:call-template name="projectedFrom"/>
            </xsl:for-each>
            <xsl:for-each select="ui:keyword">
                <xsl:call-template name="keyword"/>
            </xsl:for-each>
            <xsl:if test="ui:coordinates">
            	<xsl:call-template name="coordinates"/>
            </xsl:if>
            <xsl:if test="ui:selectedBookmark">
                <ogt:BookmarkSelector rdf:about="&query;selectedBookmark">
                    <xsl:attribute name="ogt:acceptLanguage" namespace="&ogt;">
                        <xsl:value-of select="/rdf:RDF/ui:UState/ui:language"/>
                    </xsl:attribute>
                    <ogt:incBookmarkProperty rdf:resource="&ogt;ANY_PROPERTY"/>
                    <ogt:incTopics rdf:resource="&ogt;NONE"/>
                    <xsl:for-each select="ui:selectedBookmark">
                        <ogt:bookmark>
                            <xsl:attribute name="rdf:resource" namespace="&rdf;">
                                <xsl:value-of select="@rdf:resource"/>
                            </xsl:attribute>
                        </ogt:bookmark>
                    </xsl:for-each>
                </ogt:BookmarkSelector>
            </xsl:if>
            <xsl:if test="ui:showBookmarks = 'true'">
                <xsl:call-template name="bookmarks"/>
            </xsl:if>
        </rdf:RDF>
    </xsl:template>
    
    <xsl:template name="bookmarks">
        <xsl:variable name="bmOptions">
            <ogt:incBookmarks>true</ogt:incBookmarks>
            <ogt:incSubCategoryHits>true</ogt:incSubCategoryHits>
            <ogt:acceptLanguage>
                <xsl:value-of select="ui:language"/>
            </ogt:acceptLanguage>
            <ogt:incBookmarkProperty rdf:resource="&fms;www_kuvatiedostonimi"/>
            <ogt:incBookmarkProperty rdf:resource="&fms;www_numero"/>
            <xsl:if test="$constraint">
                <ogt:constraint rdf:parseType="Collection">
                    <xsl:copy-of select="$constraint"/>
                </ogt:constraint>
            </xsl:if>
        </xsl:variable>
        <xsl:variable name="categoryOptions">
            <ogt:incCategories>true</ogt:incCategories>
            <ogt:filter>POST-QUERY</ogt:filter>
            <ogt:incPath>true</ogt:incPath>
            <ogt:incTopics>NONE</ogt:incTopics>
            <ogt:incDirectBookmarkHits>true</ogt:incDirectBookmarkHits>
            <ogt:incRemainder>true</ogt:incRemainder>
            <ogt:maxBookmarks ogt:limit="{ui:maxBookmarks}"/>
            <xsl:apply-templates select="ui:skipBookmarks"/>
            <xsl:apply-templates select="ui:skipCategories"/>
			<ogt:maxSubCategories ogt:limit="{ui:maxGroups}"/>
            <xsl:copy-of select="$bmOptions"/>
        </xsl:variable>
        <xsl:choose>
			<!-- Bookmarks grouped by category -->
            <xsl:when test="ui:groupBy/@ui:catid">
                <ogt:FacetSelector rdf:about="&query;bookmarksByCategory">
		            <ogt:incCategoryProperty rdf:resource="&fms;rootcatid"/>
                    <ogt:incSubCategories>DIRECT</ogt:incSubCategories>
                    <ogt:category>
                        <xsl:value-of select="ui:groupBy/@ui:catid"/>
                    </ogt:category>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
			<!-- Bookmarks grouped by keyword -->
            <xsl:when test="ui:groupBy/@ui:keyword">
                <ogt:FacetSelector rdf:about="&query;bookmarksByKeyword">
                    <rdfs:label>
                        <xsl:value-of select="ui:groupBy/@ui:keyword"/>
                    </rdfs:label>
                    <ogt:categoryKeyword>
                        <xsl:value-of select="ui:groupBy/@ui:keyword"/>
                    </ogt:categoryKeyword>
                    <ogt:bookmarkKeyword>
                        <xsl:value-of select="ui:groupBy/@ui:keyword"/>
                    </ogt:bookmarkKeyword>
                    <ogt:incSubCategories>NONE</ogt:incSubCategories>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
			<!-- Bookmarks grouped by projectedFrom -->
            <xsl:when test="ui:groupBy/@ui:projectedFrom">
                <ogt:FacetSelector rdf:about="&query;bookmarksByProjectedFrom">
                    <rdfs:label>
                        <xsl:value-of select="ui:groupBy/@ui:projectedFrom"/>
                    </rdfs:label>
                    <ogt:projectedFrom>
                        <xsl:attribute name="rdf:resource" namespace="&rdf;">
                            <xsl:value-of select="ui:groupBy/@ui:projectedFrom"/>
                        </xsl:attribute>
                    </ogt:projectedFrom>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
            <xsl:when test="ui:groupBy/@ui:coordinates">
                <ogt:FacetSelector rdf:about="&query;bookmarksByCoordinates">
                    <rdfs:label>
                        <xsl:value-of select="ui:coordinates/@ui:x"/>,
                        <xsl:value-of select="ui:coordinates/@ui:y"/>
                    </rdfs:label>
                    <xsl:apply-templates select="swhg:NearestLocation/swhg:nearest/swhg:location"/>
                    <xsl:copy-of select="$categoryOptions"/>
                </ogt:FacetSelector>
            </xsl:when>
			<!-- Bookmarks ungrouped -->
            <xsl:otherwise>
                <ogt:FacetSelector rdf:about="&query;bookmarks">
                    <ogt:incCategories>false</ogt:incCategories>
                    <xsl:copy-of select="$bmOptions"/>
                    <xsl:choose>
                        <xsl:when test="ui:mobile">
                            <ogt:maxBookmarks ogt:limit="10"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <ogt:maxBookmarks ogt:limit="20"/>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:apply-templates select="ui:skipBookmarks"/>
                    <xsl:apply-templates select="ui:skipCategories"/>
                </ogt:FacetSelector>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>
	
    <xsl:template name="category">
        <ogt:FacetSelector rdf:about="&query;c{@ui:catid}" 
                ogt:incPath="true" 
                ogt:filter="{/rdf:RDF/ui:UState/ui:filter}" 
                ogt:acceptLanguage="{$language}" 
                ogt:incBookmarks="false" 
                ogt:incCategories="true" 
                ogt:incSubCategories="DIRECT" 
                ogt:incTopics="NONE"
				ogt:incSubCategoryHits="true">
			<xsl:if test="not(/rdf:RDF/ui:UState/ui:expand/@ui:catid) or @ui:catid != /rdf:RDF/ui:UState/ui:expand/@ui:catid">
				<ogt:maxSubCategories ogt:limit="{/rdf:RDF/ui:UState/ui:maxSubCategories}"/>
			</xsl:if>
            <ogt:category>
                <xsl:value-of select="@ui:catid"/>
            </ogt:category>
            <ogt:incCategoryProperty rdf:resource="&fms;rootcatid"/>
            <xsl:if test="$constraint">
                <ogt:constraint rdf:parseType="Collection">
                    <xsl:copy-of select="$constraint"/>
                </ogt:constraint>
            </xsl:if>
        </ogt:FacetSelector>
    </xsl:template>

</xsl:stylesheet>
